<?php
require_once ('connexionBDD.php');
$result = mysqli_query('SET CHARACTER SET utf8');

function format_total_ht($number, $dec_point='.', $thousands_sep=','){
    if($dec_point==$thousands_sep){
        trigger_error('2 paramètres pour ' . __METHOD__ . '() ont la même valeur, qui est "' . $dec_point . '" pour $dec_point et $thousands_sep', E_USER_WARNING);
    }
    if(preg_match('{\.\d+}', $number, $matches)===1){
        $decimals = strlen($matches[0]) - 1;
    }else{
        $decimals = 0;
    }
    return number_format($number, $decimals, $dec_point, $thousands_sep);
}

//Liste des produits
$result = mysqli_query($dbconn, 'SELECT zelyx_produits.reference, 
zelyx_produits.coloris, 
zelyx_commandes_produits.quantite, 
ROUND(zelyx_commandes_produits.prix,2) AS prix_unique, 
zelyx_produits.quantite_packs, 
zelyx_produits.id, 
zelyx_commandes.nom_client, 
zelyx_commandes.mode_livraison, 
zelyx_commandes.date_commande, 
zelyx_commandes.remiseGlobale, 
zelyx_produits.prix, 
zelyx_produits.prix_promo, 
zelyx_commandes.numero_commande, 
zelyx_commandes.id, 
zelyx_commandes.id_commande_milemila, 
zelyx_commandes.id_commande_lolilota,
zelyx_commandes.total_fdp_ht
FROM 
zelyx_commandes,
zelyx_commandes_produits, 
zelyx_produits
WHERE zelyx_commandes.numero_commande='.$_GET['num_commande'].' 
AND zelyx_commandes.numero_commande = zelyx_commandes_produits.num_commande
AND zelyx_commandes_produits.code128_produit = zelyx_produits.code_128;');

/*mail('contact@itsee.fr','popup commande zelyx', 'SELECT zelyx_produits.reference, zelyx_produits.coloris, zelyx_commandes_produits.quantite, ROUND(zelyx_commandes_produits.prix,2) AS prix_unique, zelyx_produits.quantite_packs, zelyx_produits.id, zelyx_commandes.nom_client, zelyx_commandes.mode_livraison, zelyx_commandes.date_commande, zelyx_commandes.remiseGlobale 
FROM 
zelyx_commandes,
zelyx_commandes_produits, 
zelyx_produits
WHERE zelyx_commandes.numero_commande='.$_GET['num_commande'].' 
AND zelyx_commandes.numero_commande = zelyx_commandes_produits.num_commande
AND zelyx_commandes_produits.code128_produit = zelyx_produits.code_128;');
*/
$total_qte = 0;
$total_prix = 0;
$cpt = 0;
while ($row = mysqli_fetch_array($result, MYSQLI_NUM)) {
    if ($cpt == 0) {
        ?>
        <div class="row" style="padding-bottom:20px;">
        <div class="col-md-12"><u>Ticket détaillé</u></div>
        <div class="col-md-3">
          <?php if ($row[14]!="0") {
            echo '<span>Commande N° WM'.$row[14].'</span>';
          } else if ($row[15]!="0") {
            echo '<span>Commande N° WL'.$row[15].'</span>';
          } else {
            echo '<span>Commande N° '.$_GET['num_commande'].'</span>';
          }
        ?>
        </div>
        <div class="col-md-5">
<a class="btn btn-secondary" href="#" onClick="imprimer_bon_de_commande('<?php echo $row[5]; ?>');" >Imprimer</a> 

<?php

  if ($row[14] != "0") {
    //SI commande web Milemila
    ?>
    <a class="btn btn-secondary" href="#" onClick="afficherTicketRassembleWebMileMila('<?php echo $row[12]; ?>','<?php echo $row[6]; ?>','<?php echo $row[7]; ?>','<?php echo $row[16]; ?>','WM<?php echo $row[14]; ?>');" >Afficher ticket rassemblé WM</a>
    <?php
  } else if ($row[15] != "0") {
    //SI commande web Lolilota
    ?>
    <a class="btn btn-secondary" href="#" onClick="afficherTicketRassembleWebLolilota('<?php echo $row[12]; ?>','<?php echo $row[11]; ?>','<?php echo $row[7]; ?>','<?php echo $row[16]; ?>','WL<?php echo $row[15]; ?>');" >Afficher ticket rassemblé WL</a>
    <?php
  } else {
  ?>
  <a class="btn btn-secondary" href="#" onClick="afficherTicketRassemble('<?php echo $row[12]; ?>','<?php echo $row[11]; ?>');" >Afficher ticket rassemblé</a>
  <?php
  }
?>
</div>
<div class="col-md-4"><img id="code128img<?php echo $row[5]; ?>" src="inc/code128.php?text=<?php echo $_GET['num_commande']; ?>" /></div>
</div>
<table id="listeCommandePopup" class="table">
<tbody>
    <tr style="display:none;"><td><?php echo $row[6]; ?></td><td><?php echo $row[7]; ?></td><td><?php echo str_replace('-','/',$row[8]); ?></td><td><img id="code128img<?php echo $row[5]; ?>" src="inc/code128.php?text=<?php echo $_GET['num_commande']; ?>" style="display:none;"></td><td><?php echo $_GET['num_commande']; ?></td><td><?php echo $row[9]; ?></td></tr>
<?php
    }
    $cpt++;
echo '<tr class="listeCommandePopupLigneProduit">
	<td style="width:120px">'.$row[0].'</td><td style="width:80px">'.$row[1].'</td><td style="width:60px">'.$row[2].'</td><td style="width:60px">'.$row[3];
	
	if (((($row[3] != $row[10]) || ($row[3] != $row[11]))) && ($row[11] != "" && $row[11] != "0.00")) {
	echo ' <i class="fa exclamation-triangle"></i>';
	}
	
	echo '</td><td style="width:80px; text-align: right;">'.sprintf('%0.2f', ($row[2]*$row[3]));
	echo '</td><td style="display: none;"></td>
</tr>';
$total_qte += $row[2];
$total_prix += ($row[2]*$row[3]);
$remise_globale_total = $row[9];
  if ($row[14] != "0") {
    $id_commande_boutique = 'MILEMILA '.$row[14];
  } else {
    $id_commande_boutique = 'LOLILOTA '.$row[15];
  }
}
?>
</tbody>
</table>
<div id="id_commande_boutique" style="display:none;"><?php echo $id_commande_boutique; ?></div>
<table id="listeCommandePopupFooter" class="table">
<tfooter>
	<?php
	
	//Récupérer le total_ht
	$num_commande = $_GET["num_commande"];
        if ($stmtTotalHTCommande = mysqli_query($dbconn, "SELECT total_produits, remiseGlobale, total_ht, reference_commande_web, total_fdp_ht FROM `zelyx_commandes` WHERE numero_commande='".$num_commande."';")) {
          if ($row_total_ht_commande =  mysqli_fetch_array($stmtTotalHTCommande)) {
            $total_produits = $row_total_ht_commande[0];
            $remise_globale_total = $row_total_ht_commande[1];
            $total_ht = $row_total_ht_commande[2];
            $reference_commande_web = $row_total_ht_commande[3];
            $total_fdp_ht =  $row_total_ht_commande[4];
          }
        }
	
	
            $cptTotalProduitsCommandeSQL = mysqli_query($dbconn, 'SELECT COUNT(*) FROM zelyx_commandes_produits WHERE num_commande=\''.$_GET['num_commande'].'\';');
    $rowCptTotalProduitsCommandeSQL = mysqli_fetch_array($cptTotalProduitsCommandeSQL);
    $nombreProduitsTotalCommande = $rowCptTotalProduitsCommandeSQL[0];
    
	  if ($remise_globale_total != "0.0" && $remise_globale_total != "") {
              ?>
	  	<tr class="listeCommandePopupTotal">
			<td>Total qté: <?php echo $total_qte;?></td>
                        <td colspan="4" class="listeCommandePopupTotalHT"  style="text-align:right;">Référence commande web: <?php echo $reference_commande_web; ?><br />Nombre de produits: <?php echo $nombreProduitsTotalCommande; ?> <br />Total produits HT: <?php echo format_total_ht(sprintf('%0.2f', ($total_ht-$total_fdp_ht),","," "),","," "); ?> €<br />Frais de port HT: <?php echo format_total_ht(sprintf('%0.2f', $total_fdp_ht),","," "); ?> €<br />Total HT avant remise: <?php echo format_total_ht(sprintf('%0.2f', $total_ht),","," "); ?> €
                            <br />Remise (<?php echo $remise_globale_total; ?>%): <?php echo format_total_ht(sprintf('%0.2f', (($total_ht*$remise_globale_total)/100)),","," "); ?> €
                            <br />Total HT: <?php echo format_total_ht(sprintf('%0.2f', ($total_ht-(($total_ht*$remise_globale_total)/100)),","," "),","," "); ?> €<br />Total Taxes: <?php echo format_total_ht(sprintf('%0.2f', (($total_ht+$total_fdp_ht)*0.2),","," "),","," "); ?> €
                            <br />Total TTC: <?php echo format_total_ht(sprintf('%0.2f', (($total_ht-(($total_ht*$remise_globale_total)/100))*1.2),","," "),","," "); ?> €
                        </td>
		</tr>
                <?php
	  } else {
	?>
<tr class="listeCommandePopupTotal">
	<td>Total qté: <?php echo $total_qte; ?></td><td colspan="4" class="listeCommandePopupTotalHT" style="text-align:right;">Référence commande web: <?php echo $reference_commande_web; ?><br />Nombre de produits: <?php echo $nombreProduitsTotalCommande; ?><br />Total produits HT: <?php echo format_total_ht(sprintf('%0.2f', ($total_ht-$total_fdp_ht),","," "),","," "); ?> € <br />Frais de port HT: <?php echo format_total_ht(sprintf('%0.2f', $total_fdp_ht),","," "); ?> €<br />Total HT: <?php echo format_total_ht(sprintf('%0.2f', $total_prix),","," "); ?> €<br />Total Taxes: <?php echo format_total_ht(sprintf('%0.2f', (($total_ht+$total_fdp_ht)*0.2),","," "),","," "); ?> €
	<br />Total TTC: <?php echo format_total_ht(sprintf('%0.2f', (($total_prix-(($total_prix*$remise_globale_total)/100))*1.2),","," "),","," "); ?> €</td>
</tr>
<?php
  $prix_livraison = 0;
?>
<!--<tr class="listeCommandePopupTotal">
	<td>Total livraison: <?php echo $prix_livraison; ?> €</td><td colspan="4" class="listeCommandePopupTotalHT">Total TTC: <?php echo format_total_ht(sprintf('%0.2f', ($total_prix+$prix_livraison)*1.20),","," "); ?> €</td>
</tr>-->
<?php } ?>
</tfooter>
</table>

<?php
require_once ('deconnexionBDD.php');
?>
