<?php
require_once ('connexionBDD.php');
$result = mysqli_query('SET CHARACTER SET utf8');

function format_total_ht($number, $dec_point='.', $thousands_sep=','){
    if($dec_point==$thousands_sep){
        trigger_error('2 paramètres pour ' . __METHOD__ . '() ont la même valeur, qui est "' . $dec_point . '" pour $dec_point et $thousands_sep', E_USER_WARNING);
    }
    if(preg_match('{\.\d+}', $number, $matches)===1){
        $decimals = strlen($matches[0]) - 1;
    }else{
        $decimals = 0;
    }
    return number_format($number, $decimals, $dec_point, $thousands_sep);
}

?>
        <div class="row" style="padding-bottom:20px;">
        <div class="col-md-12"><u>Ticket rassemblé</u></div>
        <div class="col-md-3">
        <span>Commande N° <?php echo $_GET['num_commande']; ?></span>
        </div>
        <div class="col-md-5">
<a class="btn btn-secondary" href="#" onClick="imprimer_ticket_rassemble('<?php echo $_GET['id']; ?>','<?php echo $_GET['num_commande']; ?>');" >Imprimer</a>
</div>
<div class="col-md-4"><img id="code128img<?php echo $row[5]; ?>" src="inc/code128.php?text=<?php echo $_GET['num_commande']; ?>" /></div>
</div>
</div>
<div class="row">
<div class="col-md-12">

<?php

//Liste des produits
//$result_produits = mysqli_query($dbconn, 'SELECT SUM(quantite), marque, (SELECT initiales FROM zelyx_marques WHERE zp.marque = zelyx_marques.nom), code_article, zcp.prix AS prix_unique, informations, code_ebp, zp.prix AS prix_catalogue, zc.id, zc.nom_client, zc.mode_livraison, zc.id_commande_milemila, zc.id_commande_lolilota, zp.reference, zp.coloris, zp.informations, zp.marque FROM zelyx_produits zp, zelyx_commandes_produits zcp, zelyx_commandes zc WHERE num_commande=\''.$_GET['num_commande'].'\' AND zcp.code128_produit = zp.code_128 AND zcp.num_commande=zc.numero_commande GROUP BY zp.informations DESC, zcp.prix ORDER BY marque ASC, informations, prix_unique;');
$result_produits = mysqli_query($dbconn, 'SELECT SUM(quantite) AS quantite, 
    marque, 
    (SELECT initiales FROM zelyx_marques WHERE zp.marque = zelyx_marques.nom) AS initialesMarque, 
    code_article, 
    zcp.prix AS prix_unique, 
    informations, 
    code_ebp, 
    zp.prix AS prix_catalogue, 
    zp.reference AS reference, 
    zc.nom_client,
    zc.mode_livraison,
    zc.id_commande_milemila,
    zc.id_commande_lolilota,
    zp.reference,zp.coloris
    FROM zelyx_produits zp, zelyx_commandes_produits zcp, zelyx_commandes zc WHERE 
zc.numero_commande="'.$_GET['num_commande'].'" AND zcp.code128_produit = zp.code_128 AND zcp.num_commande=zc.numero_commande GROUP BY zp.informations DESC, zp.marque, zcp.prix 
ORDER BY marque ASC, informations, prix_unique');

/*mail('contact@itsee.fr','popup commande zelyx', 'SELECT zelyx_produits.reference, zelyx_produits.coloris, zelyx_commandes_produits.quantite, ROUND(zelyx_commandes_produits.prix,2) AS prix_unique, zelyx_produits.quantite_packs, zelyx_produits.id, zelyx_commandes.nom_client, zelyx_commandes.mode_livraison, zelyx_commandes.date_commande, zelyx_commandes.remiseGlobale 
FROM 
zelyx_commandes,
zelyx_commandes_produits, 
zelyx_produits
WHERE zelyx_commandes.numero_commande='.$_GET['num_commande'].' 
AND zelyx_commandes.numero_commande = zelyx_commandes_produits.num_commande
AND zelyx_commandes_produits.code128_produit = zelyx_produits.code_128;');
*/
$total_qte = 0;
$total_prix = 0;
$cpt = 0;
?>
<?php
$nom_marque = "";
while ($row_produits = mysqli_fetch_array($result_produits, MYSQLI_NUM)) {
    if ($cpt == 0) {
      ?>
      <table id="listeCommandePopupHeader" class="table">
</table>
<table id="listeCommandePopup" class="table">
<thead>
<tr style="display:none;"><td><?php echo $row_produits[9]; ?></td><td><?php echo $row_produits[10]; ?></td><td><?php echo ''; ?></td><td><img id="code128imgTicketRassemble<?php echo $row_produits[8]; ?>" src="inc/code128.php?text=<?php echo $_GET['num_commande']; ?>" style="display:none;"></td><td><?php echo $_GET['num_commande']; ?></td><td><?php echo ''; ?></td></tr>
</thead>

<tbody>
      <?php
    }
    $cpt++;

//Si désignation A définir, alors afficher la référence
if ($row_produits[5] == "A DEFINIR" || $row_produits[13] != "") {
  $row_produits[5] = $row_produits[13].' '.$row_produits[14];
}

    if ($nom_marque != $row_produits[1]) {
    	echo '<tr class="listeCommandePopupLigneProduit">
	<td style="width:120px">'.$row_produits[1].'</td><td style="width:80px">'.$row_produits[2].'</td><td style="width:60px"></td><td style="width:60px"></td><td style="width:80px; text-align: right;"></td><td style="display: none;"></td>
</tr>';
	$nom_marque = $row_produits[1];
    }
echo '<tr class="listeCommandePopupLigneProduit">
	<td style="width:120px">'.$row_produits[3].'</td><td style="width:80px">'.$row_produits[5].'</td><td style="width:60px">'.$row_produits[0].'</td><td style="width:60px">'.number_format((float)$row_produits[4],2);
	
	if (((($row_produits[3] != $row_produits[10]) || ($row_produits[3] != $row_produits[11]))) && ($row_produits[11] != "" && $row_produits[11] != "0.00")) {
	echo ' <i class="fa exclamation-triangle"></i>';
	}
	
	echo '</td><td style="width:80px; text-align: right;">'.number_format((float)sprintf('%0.2f', ($row_produits[0]*$row_produits[4])),2);
	echo '</td><td style="display: none;"></td>
	
	<td style="display:none;">'.$row_produits[13].'</td><td style="display:none;">'.$row_produits[14].'</td><td style="display:none;">'.$row_produits[15].'</td><td style="display:none;"'.$row_produits[16].'</td>
	
</tr>';
$total_qte += $row_produits[0];
$total_prix += ($row_produits[4]*$row_produits[0]);
$remise_globale_total = 0;
if ($row_produits[11] != "0") {
    $id_commande_boutique = 'MILEMILA '.$row_produits[11];
  } else {
    $id_commande_boutique = 'LOLILOTA '.$row_produits[12];
  }
}
?>
</tbody>
</table>
<div id="id_commande_boutique" style="display:none;"><?php echo $id_commande_boutique; ?></div>
<table id="listeCommandePopupFooter" class="table">
<tfooter>
	<?php
        
	  if ($remise_globale_total != "0.0" && $remise_globale_total != "") {
              ?>
	  	<tr class="listeCommandePopupTotal">
			<td>Total qté: <?php echo $total_qte;?></td>
                        <td colspan="4" class="listeCommandePopupTotalHT"  style="text-align:right;">Total Produits HT avant remise: <?php echo format_total_ht(sprintf('%0.2f', $total_prix),","," "); ?> €
                            <br />Remise (<?php echo $remise_globale_total; ?>%): <?php echo format_total_ht(sprintf('%0.2f', (($total_prix*$remise_globale_total)/100)),","," "); ?> €
                            <br />Total produits HT: <?php echo format_total_ht(sprintf('%0.2f', ($total_prix-(($total_prix*$remise_globale_total)/100)),","," "),","," "); ?> €
                            <br />Total produits TTC: <?php echo format_total_ht(sprintf('%0.2f', (($total_prix-(($total_prix*$remise_globale_total)/100))*1.2),","," "),","," "); ?> €
                        </td>
		</tr>
                <?php
	  } else {
	?>
<tr class="listeCommandePopupTotal">
	<td>Total qté: <?php echo $total_qte; ?></td><td colspan="4" class="listeCommandePopupTotalHT" style="text-align:right;">Total produits HT: <?php echo format_total_ht(sprintf('%0.2f', $total_prix),","," "); ?> €
	<br />Total produits TTC: <?php echo format_total_ht(sprintf('%0.2f', (($total_prix-(($total_prix*$remise_globale_total)/100))*1.2),","," "),","," "); ?> €
	</td>
</tr>
<?php
  $prix_livraison = 0;
?>
<!--<tr class="listeCommandePopupTotal">
	<td>Total livraison: <?php echo $prix_livraison; ?> €</td><td colspan="4" class="listeCommandePopupTotalHT">Total TTC: <?php echo format_total_ht(sprintf('%0.2f', ($total_prix+$prix_livraison)*1.20),","," "); ?> €</td>
</tr>-->
<?php } ?>
</tfooter>
</table>
</div>
<?php
require_once ('deconnexionBDD.php');
?>
