<?php
include 'connexionBDD.php';
$query = "SELECT p1.id, p1.reference, p1.coloris, p1.commandable, p1.code_128, p1.quantite_packs, ROUND(p1.prix,2), p1.stock, p1.numero_de_rayon, p1.informations, p1.lien_image, p1.actif, d.nom AS designationProduitGenere, p1.marque, ROUND(p1.prix_promo,2), p1.categorie, p1.seuil_min, p1.seuil_max, p1.prix AS prix_catalogue FROM zelyx_produits p1 inner join zelyx_produit_designation d on p1.categorie=d.id WHERE p1.commandable='X' AND p1.actif=1 ORDER BY p1.code_128 DESC";
$result = array();
$movieArray = array();
$response = array();
if($stmt = $dbconn->prepare($query)){
	$stmt->execute();
	$stmt->bind_result($id, $reference, $coloris, $commandable, $code_128, $quantite_packs, $prix, $stock, $numero_de_rayon, $informations, $lien_image, $actif, $designation, $marque, $prix_promo, $num_categorie, $seuil_min, $seuil_max, $prix_catalogue);
	while($stmt->fetch()){
        $produitArray["id"] = $id;
        $produitArray["reference"] = $reference;
        $produitArray["coloris"] = $coloris;
        $produitArray["commandable"] = $commandable;
        $produitArray["code_128"] = $code_128;
        $produitArray["quantite_packs"] = $quantite_packs;
        $produitArray["prix"] = str_replace(",", ".",$prix);
        $produitArray["stock"] = $stock;
        $produitArray["numero_de_rayon"] = $numero_de_rayon;
        $produitArray["informations"] = $informations;
        $produitArray["lien_image"] = $lien_image;
        $produitArray["actif"] = $actif;
	$produitArray["designation"] = $designation;
	$produitArray["marque"] = $marque;
	$produitArray["prix_promo"] = $prix_promo;
	$produitArray["num_categorie"] = $num_categorie;
	$produitArray["seuil_min"] = $seuil_min;
	$produitArray["seuil_max"] = $seuil_max;
	$produitArray["prix_catalogue"] = $prix_catalogue;
		
        $result[]=$produitArray;
		
	}
	$stmt->close();
	$response["success"] = 1;
	$response["data"] = $result;
	
 
}else{
	$response["success"] = 0;
	$response["message"] = mysqli_error($dbconn);
		
	
}
//Display JSON response
echo json_encode($response);
include 'deconnexionBDD.php';
?>

