<?php
//ini_set('display_errors', 1);
header('Content-Type: application/octet-stream; charset=utf-8');
header("Content-Transfer-Encoding: Binary");
$num_commande = $_GET["num_commande"];
//$date_commande = substr($num_commande,2,2).'/'.substr($num_commande,4,2).'/2019';//Format back-office
$date_commande = substr($num_commande,4,2).'/'.substr($num_commande,2,2).'/2019'; //Format XML

//Connexion à la base de données
require_once('connexionBDD.php');
if(isset($_GET['num_commande'])&&isset($_GET['num_facture'])){
	
	$autoCommandeNumFichier = fopen('compteurAutoCommandeNumInc.txt', 'r+');
	$autoCommandeNumInc = fgets($autoCommandeNumFichier);
	header("Content-disposition: attachment; filename=\"export_factureEBP_".$_GET['num_facture'].".xml\"");
	
    
$query = "SELECT id, reference, coloris, commandable, code_128, quantite_packs, prix, stock, numero_de_rayon, informations, lien_image, actif, quantite, poids FROM zelyx_produits, zelyx_commandes_produits WHERE zelyx_produits.code_128 = zelyx_commandes_produits.code128_produit AND num_commande=?;";
	if($stmt = $dbconn->prepare($query)){
		$stmt->bind_param("s",$num_commande);
		$stmt->execute();
        $stmt->bind_result($id, $reference, $coloris, $commandable, $code_128, $quantite_packs, $prix, $stock, $numero_de_rayon, $informations, $lien_image, $actif, $quantite, $poids);
		
		$fichier_xml = '<?xml version="1.0" encoding="Windows-1252"?><EBP_EToE><Pieces><Piece><Type>23</Type><NumeroPrefixe>FC</NumeroPrefixe><NumeroNumero>'.$_GET['num_facture'].'</NumeroNumero><Date>'.$date_commande.'</Date><TiersCode>DIVERS</TiersCode><TiersRaisonSoc>DIVERS</TiersRaisonSoc><TiersAdresse1CodePa>FRANCE M'.utf8_decode("É").'TROPOLITAINE</TiersAdresse1CodePa><TiersAdresse2CodePa>FRANCE M'.utf8_decode("É").'TROPOLITAINE</TiersAdresse2CodePa><TiersType>2</TiersType><TiersDevise>EUR</TiersDevise><TiersExemplairesPie>1</TiersExemplairesPie><Tiers.NoCompte>41DIVERS</Tiers.NoCompte><Tiers.DepotDefaut>1</Tiers.DepotDefaut><TABTauxTVA><TauxTVA idx="1">20</TauxTVA><TauxTVA idx="2">20</TauxTVA><TauxTVA idx="3">20</TauxTVA><TauxTVA idx="4">20</TauxTVA><TauxTVA idx="5">20</TauxTVA><TauxTVA idx="6">20</TauxTVA><TauxTVA idx="7">20</TauxTVA><TauxTVA idx="8">20</TauxTVA><TauxTVA idx="9">20</TauxTVA></TABTauxTVA>';
	
        $cptProduits = 0;
        //$autoInc = 200100;
		
			$autoIncFichier = fopen('compteurAutoInc.txt', 'r+');
	$autoInc = fgets($autoIncFichier);
	
	
        $lignes_produits_xml = '<Ligne n="0"><TypeLigne>2</TypeLigne><Libelle>DIVERS</Libelle><Date>'.$date_commande.'</Date><DateLiv>'.$date_commande.'</DateLiv><Ligne.AutoInc>'.$autoInc.'</Ligne.AutoInc>';
		$autoInc++;
		$lignes_produits_xml = '';
        $total_produits = 0.00;
		$poidsTotalLigneProduit = 0;
		while($stmt->fetch()){
            //Parcours de chaque ligne de produit
            $prix = str_replace(",", ".",$prix);
            
            //libelle
            switch (substr($reference,1,1)) {
                case 'R':
                    $libelle = 'ROBE';
                    break;
                case 'B':
                    $libelle = 'BAS';
                    break;
                case 'G':
                    $libelle = 'GILET';
                    break;
                case 'H':
                    $libelle = 'HAUT';
                    break;
                case 'P':
                    $libelle = 'PULL';
                    break;
                default:
                    $libelle = 'DIVERS';
                    break;
            }
            
            //Calcul quantite produits
            $nbArticles += ($quantite_packs*$quantite);
			$poidsTotalLigneProduit = (str_replace(",",".",$poids)*$quantite*$quantite_packs);
			//die($code_128.'-'.$quantite.'-'.$quantite_packs.'-poids'.$poids.''.$poidsTotalLigneProduit);
            $lignes_produits_xml .= '<Ligne n="'.($cptProduits+1).'"><TypeLigne>1</TypeLigne><CodeArt>'.$reference.'</CodeArt><Libelle>'.$libelle.'</Libelle><Date>'.$date_commande.'</Date><Quantite>18</Quantite><PxUnitBrut>'.$prix.'</PxUnitBrut><PxUnitBrutTTC>'.$prix.'</PxUnitBrutTTC><Poids>'.$poidsTotalLigneProduit.'</Poids><Colis>1</Colis><ModeCalculTPF>1</ModeCalculTPF><DateLiv>'.$date_commande.'</DateLiv><PoidsNet>'.$poidsTotalLigneProduit.'</PoidsNet><FormuleCalcul>1</FormuleCalcul><Ligne.AutoInc>'.$autoInc.'</Ligne.AutoInc></Ligne>';
            $total_produits += ($quantite_packs*$quantite*str_replace(',','.',$prix));
            $cptProduits++;
            $autoInc++;
		}
        //Génération de la ligne des totaux
        $fichier_xml .= '<BrutHT>'.$total_produits.'</BrutHT><TotalBrutTTC>'.$total_produits.'</TotalBrutTTC><NetAPayer>'.$total_produits.'</NetAPayer>';
        $fichier_xml .= '<DateLivraison>'.$date_commande.'</DateLivraison><Parite>1</Parite><ModeTransport>3</ModeTransport><SPiece.ResteAPayer>'.$total_commande.'</SPiece.ResteAPayer><SPieceTransfertType>???</SPieceTransfertType><SPiece.CalculDEEE>1</SPiece.CalculDEEE><NbArticles>'.$cptProduits.'</NbArticles><SPieceDicoVersionCh>7992</SPieceDicoVersionCh><SPieceDicoVersionCr>7992</SPieceDicoVersionCr><SPieceCalculEcoMobi>1</SPieceCalculEcoMobi><Lignes>';
        $fichier_xml .= $lignes_produits_xml;
        $fichier_xml .= '</Lignes><PieceTxts><PieceTxt n="0"/></PieceTxts></Piece></Pieces></EBP_EToE>';
        
		//Mise à jour de l'autoInc en base de données
		$resultAutoInc = mysqli_query($dbconn,'UPDATE zelyx_ebp_autoinc SET autoinc='.$autoInc.';');
		
        echo $fichier_xml;
		
		//Enregistrement nouveau positionnement
		fseek($autoIncFichier, 0);
		fputs($autoIncFichier, $autoInc);
		//Fermeture du fichier texte AutoInc
		fclose($autoIncFichier);
		
        //Fermeture de la base de données
        $stmt->close();
    
	}
	//Incrémente de 1 à chaque commande
	$autoCommandeNumInc++;
	
	//Enregistrement nouveau numCommandeNumInc
		fseek($autoCommandeNumFichier, 0);
		fputs($autoCommandeNumFichier, $autoCommandeNumInc);
		//Fermeture du fichier texte NumCommandeNumAutoInc
		fclose($autoCommandeNumFichier);
		
	
}
require_once('deconnexionBDD.php');
?>