<?php
include 'connexionBDD.php';
$result = array();
$produitArray = array();
$response = array();
if(isset($_POST['code_128'])){
    $code_128 = $_POST["code_128"];
    $query = "SELECT id, reference, coloris, commandable, code_128, quantite_packs, prix, stock, numero_de_rayon, informations, lien_image, actif FROM zelyx_produits WHERE code_128=? AND actif=1 AND commandable='X';";

	if($stmt = $dbconn->prepare($query)){
		$stmt->bind_param("s",$code_128);
		$stmt->execute();
        $stmt->bind_result($id, $reference, $coloris, $commandable, $code_128, $quantite_packs, $prix, $stock, $numero_de_rayon, $informations, $lien_image, $actif);
	
		while($stmt->fetch()){
            $produitArray["id"] = $id;
            $produitArray["reference"] = $reference;
            $produitArray["coloris"] = $coloris;
            $produitArray["commandable"] = $commandable;
            $produitArray["code_128"] = $code_128;
            $produitArray["quantite_packs"] = $quantite_packs;
            $produitArray["prix"] = str_replace(",", ".",$prix);
            $produitArray["stock"] = $stock;
            $produitArray["numero_de_rayon"] = $numero_de_rayon;
            $produitArray["informations"] = $informations;
            $produitArray["lien_image"] = $lien_image;
            $produitArray["actif"] = $actif;

            $result[]=$produitArray;
		}
        $stmt->close();
        $response["success"] = 1;
        $response["data"] = $result;
 
 
	}else{
		$response["success"] = 0;
		$response["message"] = mysqli_error($dbconn);
		
	}
 
}else{
	$response["success"] = 0;
	$response["message"] = "missing parameter reference";
}
include 'deconnexionBDD.php';
//Display JSON response
echo json_encode($response);
?>