<?php
include 'connexionBDD.php';
$result = array();
$produitArray = array();
$response = array();
if(isset($_GET['num_commande'])){
	$autoIncFichier = fopen('compteurAutoInc.txt', 'r+');
	$autoInc = fgets($autoIncFichier);
	fclose($autoIncFichier);
    $num_commande = $_GET["num_commande"];
    //FILTRE SUR LA REFERENCE ET LE PRIX PAR ORDRE DU PLUS PETIT AU PLUS GRAND. ATTENTION, NE CONSERVER QUE LES PRODUITS ACTIF
    $query = "SELECT id, reference, coloris, commandable, code_128, quantite_packs, ROUND(zelyx_commandes_produits.prix,2) AS prix_unique, stock, numero_de_rayon, informations, lien_image, actif, quantite, informations, marque, zelyx_produits.prix AS prix_catalogue FROM zelyx_produits, zelyx_commandes_produits WHERE num_commande=? AND actif=1 AND zelyx_produits.code_128 = zelyx_commandes_produits.code128_produit ORDER BY zelyx_produits.reference, prix_unique";

	if($stmt = $dbconn->prepare($query)){
		$stmt->bind_param("s",$num_commande);
		$stmt->execute();
        $stmt->bind_result($id, $reference, $coloris, $commandable, $code_128, $quantite_packs, $prix, $stock, $numero_de_rayon, $informations, $lien_image, $actif, $quantite, $designation, $marque, $prixCatalogue);
		while($stmt->fetch()){
            $produitArray["id"] = $id;
            $produitArray["reference"] = $reference;
            $produitArray["coloris"] = $coloris;
            $produitArray["commandable"] = $commandable;
            $produitArray["code_128"] = $code_128;
            $produitArray["quantite_packs"] = $quantite_packs;
            $produitArray["prix"] = str_replace(",", ".",$prix);
            $produitArray["stock"] = $stock;
            $produitArray["numero_de_rayon"] = $numero_de_rayon;
            $produitArray["informations"] = $informations;
            $produitArray["lien_image"] = $lien_image;
            $produitArray["actif"] = $actif;
	    $produitArray["designation"] = $designation;
            $produitArray["quantite"] = $quantite;
	    $produitArray["marque"] = $marque;
        $produitArray["prix_catalogue"] = $prixCatalogue;
            $result[]=$produitArray;
		}
        $stmt->close();
        $response["success"] = 1;
        $response["data"] = $result;
	}else{
		$response["success"] = 0;
		$response["message"] = mysqli_error($dbconn);
	}
 
}else{
	$response["success"] = 0;
	$response["message"] = "missing parameter reference";
}
//Display JSON response
mysqli_free_result($stmt);
include 'deconnexionBDD.php';
echo json_encode($response);


?>
