﻿<?php
require_once('connexionBDD.php');
session_start();

if (isset($_POST["date"]) && ($_POST["date"] == "semaine")) {
    $result = mysqli_query($dbconn, 'SELECT `zelyx_produits`.*, code128_produit, SUM(quantite) AS quantiteSum, lien_image, informations, reference, coloris, quantite_packs, ROUND(AVG(zelyx_commandes_produits.prix),2), stock, numero_de_rayon, commandable, ROUND(zelyx_produits.prix,2) FROM `zelyx_commandes_produits`, `zelyx_produits` WHERE `zelyx_commandes_produits`.num_commande IN (SELECT numero_commande FROM `zelyx_commandes` WHERE complete > -1 AND complete < 2 AND timestamp > DATE_SUB(NOW(), INTERVAL 7 DAY)) AND `zelyx_commandes_produits`.code128_produit = `zelyx_produits`.code_128 GROUP by code128_produit ORDER BY quantiteSum DESC;');
} else if (isset($_POST["date"]) && ($_POST["date"] == "mois")) {
    $result = mysqli_query($dbconn, 'SELECT `zelyx_produits`.*, code128_produit, SUM(quantite) AS quantiteSum, lien_image, informations, reference, coloris, quantite_packs, ROUND(AVG(zelyx_commandes_produits.prix),2), stock, numero_de_rayon, commandable, ROUND(zelyx_produits.prix,2) FROM `zelyx_commandes_produits`, `zelyx_produits` WHERE `zelyx_commandes_produits`.num_commande IN (SELECT numero_commande FROM `zelyx_commandes` WHERE complete > -1 AND complete < 2 AND timestamp > DATE_SUB(NOW(), INTERVAL 30 DAY)) AND `zelyx_commandes_produits`.code128_produit = `zelyx_produits`.code_128 GROUP by code128_produit ORDER BY quantiteSum DESC;');
} else if (isset($_POST["date"]) && ($_POST["date"] == "trimestre")) {
    $result = mysqli_query($dbconn, 'SELECT `zelyx_produits`.*, code128_produit, SUM(quantite) AS quantiteSum, lien_image, informations, reference, coloris, quantite_packs, ROUND(AVG(zelyx_commandes_produits.prix),2), stock, numero_de_rayon, commandable, ROUND(zelyx_produits.prix,2) FROM `zelyx_commandes_produits`, `zelyx_produits` WHERE `zelyx_commandes_produits`.num_commande IN (SELECT numero_commande FROM `zelyx_commandes` WHERE complete > -1 AND complete < 2 AND timestamp > DATE_SUB(NOW(), INTERVAL 90 DAY)) AND `zelyx_commandes_produits`.code128_produit = `zelyx_produits`.code_128 GROUP by code128_produit ORDER BY quantiteSum DESC;');
} else if (isset($_POST["date"]) && ($_POST["date"] > 0)) {
    $result = mysqli_query($dbconn, 'SELECT `zelyx_produits`.*, code128_produit, SUM(quantite) AS quantiteSum, lien_image, informations, reference, coloris, quantite_packs, ROUND(AVG(zelyx_commandes_produits.prix),2), stock, numero_de_rayon, commandable, ROUND(zelyx_produits.prix,2) FROM `zelyx_commandes_produits`, `zelyx_produits` WHERE `zelyx_commandes_produits`.num_commande IN (SELECT numero_commande FROM `zelyx_commandes` WHERE numero_commande LIKE DATE_FORMAT(DATE_SUB(NOW(), INTERVAL ' . $_POST["date"] . ' DAY),"%y%m%d%")) AND complete > -1 AND complete < 2 AND `zelyx_commandes_produits`.code128_produit = `zelyx_produits`.code_128 GROUP by code128_produit ORDER BY quantiteSum DESC;');
} else {
    $result = mysqli_query($dbconn, 'SELECT `zelyx_produits`.*, code128_produit, SUM(quantite) AS quantiteSum, lien_image, informations, reference, coloris, quantite_packs, ROUND(zelyx_commandes_produits.prix,2), stock, numero_de_rayon, commandable, ROUND(zelyx_produits.prix,2) FROM `zelyx_commandes_produits`, `zelyx_produits` WHERE `zelyx_commandes_produits`.num_commande IN (SELECT numero_commande FROM `zelyx_commandes` WHERE complete > -1 AND complete < 2 AND timestamp > DATE_SUB(NOW(), INTERVAL 30 DAY)) AND `zelyx_commandes_produits`.code128_produit = `zelyx_produits`.code_128 GROUP by code128_produit ORDER BY quantiteSum DESC;');
}


echo '<div class="scroll_y horizontal-scrollbar">
  <div class="limiter">
<div class="container-orderCount_table100">
<div class="wrap-orderCount_table100">
<div class="orderCount-table100">
<table id="userProducts" class="bat_results results_bat_results table_margin_bottom table_list_users_responsive mb-0 table-borderless table-striped table-hover" style="width:100%">
<thead>
          <tr>
            <th style="display:none;"></th>
            <th class="orderCount_column1" style="display:none;"><input type="checkbox" class="check_all_products" /></th>
            <th class="orderCount_column2" style="display:none;">Commandable</th>
            <th class="orderCount_column3">Photo</th>
            <th class="orderCount_column4">Référence</th>
            <th class="orderCount_column5">Couleur</th>
			<th class="orderCount_column6">Marque</th>
            <th class="orderCount_column6">Code-128/EAN8/EAN13</th>
            <th class="orderCount_column7">Quantité vendu</th>
            <th class="orderCount_column8">Qté/pack</th>
			<th class="orderCount_column10">Stock</th>
            <th class="orderCount_column9">Prix moyen de vente</th>
			<th class="orderCount_column9">Prix actuel</th>
            <th class="orderCount_column11">TM</th>
            <th class="orderCount_column12">Catégorie</th>
            <th class="orderCount_column13" style="display:none;">Date ajout</th>
          </tr>
        </thead>
        <tbody>
      ';
      if (mysqli_num_rows($result) == 0) {
        echo '<tr><td colspan="16">Aucunes ventes</td></tr>';
      }
while ($row = mysqli_fetch_array($result, MYSQLI_NUM)) {
    echo '  <tr>
            <td class="user_id" style="display: none;">' . $row[0] . '</td>
            <td class="bat_select orderCount_column1" style="display:none;"><input type="checkbox" name="liste_products" class="liste_products" value="' . $row[0] . '" /></td>';
    if ($row[3] == "X") {
        $checked = 'checked="checked"';
        $si_commandable = 'O';
    } else {
        $checked = '';
        $si_commandable = 'X';
    }

    if (!file_exists($_SERVER['DOCUMENT_ROOT'] . '/' . $row[10]) || ($row[10] == '')) {
        $row[10] = 'images/Zelyx.jpg';
    }
    echo '<td class="users_list orderCount_column2" style="display:none;"><input type="checkbox" name="si_commandable" value="' . $row[0] . '_' . $si_commandable . '" ' . $checked . ' onClick="javascript:siCommandable(\'' . $row[0] . '\',\'' . $si_commandable . '\');"/></td>
        <td class="product_reference users_list orderCount_column3"><img data-toggle="modal" data-target="#product_modification" id="img' . $row[0] . '" src="' . $row[10] . '" onClick="javascript:product_avatar(\'' . $row[0] . '\',\'' . $row[10] . '\');" /></td>
            <td class="user_name users_list orderCount_column4">' . $row[1] . '</td>
            <td class="user_name users_list orderCount_column5">' . $row[2] . '</td>
			<td class="user_email users_list orderCount_column6">' . $row[17] . '</div></td>
            <td class="user_email users_list orderCount_column6">' . $row[4] . '</div></td>
                <td class="user_email users_list orderCount_column7">' . $row[26] . '</div></td>
                <td class="user_email users_list orderCount_column8">' . $row[5] . '</div></td>
                    <td class="user_email users_list orderCount_column10">' . $row[7] . '</div></td>
                        <td class="user_email users_list orderCount_column9">-' . $row[32] . '</div></td>
                            <td class="user_email users_list orderCount_column9">' . $row[6] . '</div></td>
                                <td class="user_email users_list orderCount_column11">' . $row[23] . '</div></td>
								<td class="user_email users_list orderCount_column12">' . $row[9] . '</div></td>
                                                                    <td class="user_email users_list orderCount_column13" style="display: none;">' . substr($row[12], 8, 2) . '/' . substr($row[12], 5, 2) . '/' . substr($row[12], 0, 4) . '</div></td>
          </tr>';
}
echo '  </tbody>';
echo ' </table></div></div></div></div></div>';

require_once('deconnexionBDD.php');


