<?php
require_once 'connexionBDD.php';

function resizeImage($sourceImage, $targetImage, $maxWidth, $maxHeight, $quality = 80, $emplacement_et_nom_fichier)
{
    // Obtain image from given source file.
    if (!$image = @imagecreatefromjpeg($sourceImage))
    {
        return false;
    }

    // Get dimensions of source image.
    list($origWidth, $origHeight) = getimagesize($sourceImage);

    if ($maxWidth == 0)
    {
        $maxWidth  = $origWidth;
    }

    if ($maxHeight == 0)
    {
        $maxHeight = $origHeight;
    }

    // Calculate ratio of desired maximum sizes and original sizes.
    $widthRatio = $maxWidth / $origWidth;
    $heightRatio = $maxHeight / $origHeight;

    // Ratio used for calculating new image dimensions.
    $ratio = min($widthRatio, $heightRatio);

    // Calculate new image dimensions.
    $newWidth  = (int)$origWidth  * $ratio;
    $newHeight = (int)$origHeight * $ratio;

    // Create final image with new dimensions.
    $newImage = imagecreatetruecolor($newWidth, $newHeight);
    imagecopyresampled($newImage, $image, 0, 0, 0, 0, $newWidth, $newHeight, $origWidth, $origHeight);
    imagejpeg($newImage, $targetImage, $quality);

    // Free up the memory.
    imagedestroy($image);
    imagedestroy($newImage);

    //Maintenant l'image réduite en largeur, je rajoute le blanc au dessus et dessous
    //Je met l'image paysage dans une image portrait avec du blanc au dessus et en dessous

    
    //-------------------------- IMAGE 200x300
    $width = 200;
    $height = 300;
	  //Créé une nouvelle image aux dimensions
      $background = imagecreatetruecolor($width, $height);
      //Appliquer un fond blanc
      $whiteBackground = imagecolorallocate($background, 255, 255, 255);
      imagefill($background,0,0,$whiteBackground);
        //imagecopyresampled($background, $image, 0, ($height - $height_orig) / 2, 0, 0, $width_orig, $height_orig, $width_orig, $height_orig);

    $image_min = imagecreatefromjpeg($targetImage);

    //Ajouter l'image sur le fond blanc
    imagecopyresampled($background, $image_min, 0, ($height - $height_orig) / 2, 0, 0, $width_orig, $height_orig, $width_orig, $height_orig);

//positionne l'image sur le fond blanc
    imagecopy($background, $image_min, 0, ($height - $height_orig) / 2,0,0,($height - $height_orig) / 2,0);

    //Enregistrer l'image
    imagejpeg($image_min, $emplacement_et_nom_fichier);

    imagedestroy($background);
    mail('contact@itsee.fr','image produit 900 1', $emplacement_et_nom_fichier);
    
    //-------------------------- IMAGE 600x900
    $width = 600;
    $height = 900;
    $nom_fichier_900 = str_replace(' ','_',$row_code128[1].' '.$row_code128[2]).'_900.'.pathinfo($_FILES['product_avatar']['name'], PATHINFO_EXTENSION);
    $emplacement_et_nom_fichier = $uploaddir.$nom_fichier_900;
	  //Créé une nouvelle image aux dimensions
      $background = imagecreatetruecolor($width, $height);
      //Appliquer un fond blanc
      $whiteBackground = imagecolorallocate($background, 255, 255, 255);
      imagefill($background,0,0,$whiteBackground);
        //imagecopyresampled($background, $image, 0, ($height - $height_orig) / 2, 0, 0, $width_orig, $height_orig, $width_orig, $height_orig);

    $image_min = imagecreatefromjpeg($targetImage);

    //Ajouter l'image sur le fond blanc
    imagecopyresampled($background, $image_min, 0, ($height - $height_orig) / 2, 0, 0, $width_orig, $height_orig, $width_orig, $height_orig);

//positionne l'image sur le fond blanc
    imagecopy($background, $image_min, 0, ($height - $height_orig) / 2,0,0,($height - $height_orig) / 2,0);

    //Enregistrer l'image
    imagejpeg($image_min, $emplacement_et_nom_fichier);
    //mail('contact@itsee.fr','image produit 900 2', $emplacement_et_nom_fichier);

    imagedestroy($background);
    
    
}

$result = mysqli_query($dbconn,'SELECT * FROM zelyx_produits SET '.$sql_ids.' timestamp=\''.time().'\' WHERE id='.$_POST['avatar_product_id'].';');
$uploaddir = '../produits/';
//mail('contact@itsee.fr','upload image produit', 'taille: '.$_FILES['product_avatar']['size']);
//if ($_FILES['product_avatar']['size'] < 50 * KB && $path_parts['extension'] == 'jpg') {
	//if ($_FILES['product_avatar']['size'] <= 15000000 && ($_FILES['product_avatar']['extension'] == 'jpg' || $_FILES['product_avatar']['extension'] == 'jpeg')) {
if ($_FILES['product_avatar']['size'] <= (1*1024*1024)) {
    //Récupérer le code 128
    $result_code128 = mysqli_query($dbconn,'SELECT code_128, reference, coloris FROM zelyx_produits WHERE id='.$_POST['avatar_product_id'].';');
    $row_code128 = mysqli_fetch_array($result_code128);

    $nom_fichier = str_replace(' ','_',$row_code128[1].' '.$row_code128[2]).'.'.pathinfo($_FILES['product_avatar']['name'], PATHINFO_EXTENSION);
    $nom_fichier_full = str_replace(' ','_',$row_code128[1].' '.$row_code128[2]).'_full.'.pathinfo($_FILES['product_avatar']['name'], PATHINFO_EXTENSION);
    $nom_fichier_900 = str_replace(' ','_',$row_code128[1].' '.$row_code128[2]).'_900.'.pathinfo($_FILES['product_avatar']['name'], PATHINFO_EXTENSION);
    $emplacement_et_nom_fichier = $uploaddir.$nom_fichier;
  $emplacement_et_nom_fichier_full = $uploaddir.$nom_fichier_full;
  $emplacement_et_nom_fichier_900 = $uploaddir.$nom_fichier_900;
  if (move_uploaded_file($_FILES['product_avatar']['tmp_name'], $emplacement_et_nom_fichier_full)) {
      
      //IMAGE 
	  //copy($emplacement_et_nom_fichier_full, $emplacement_et_nom_fichier);
	  $width = 200;
	  $height = 300;
      list($width_orig, $height_orig) = getimagesize($emplacement_et_nom_fichier_full);

    if ($height_orig > $width_orig) {
      //Je redimensionne l'image portrait en plus petit
      $ratio_orig = $width_orig/$height_orig;
      $image_p = imagecreatetruecolor($width, $height);
      if ($image = imagecreatefromjpeg($emplacement_et_nom_fichier_full)) {
        imagecopyresampled($image_p, $image, 0, 0, 0, 0, $width, $height, $width_orig, $height_orig);
        //mail('contact@itsee.fr','C\'est bon','cool'.$width.'-'.$height.'-'.$width_orig.''.$height_orig);
      }
      //Enregistre
    	imagejpeg($image_p, $emplacement_et_nom_fichier);
    	imagedestroy($image_p);
        
        //-------------------------- IMAGE 600x900
    $width = 600;
    $height = 900;
    //Je redimensionne l'image portrait en plus petit
      //$ratio_orig = $width_orig/$height_orig;
      $image_p2 = imagecreatetruecolor($width, $height);
      if ($image = imagecreatefromjpeg($emplacement_et_nom_fichier_full)) {
        imagecopyresampled($image_p2, $image, 0, 0, 0, 0, $width, $height, $width_orig, $height_orig);
        //mail('contact@itsee.fr','C\'est bon','cool'.$width.'-'.$height.'-'.$width_orig.''.$height_orig);
      }
      //Enregistre
    	imagejpeg($image_p2, $emplacement_et_nom_fichier_900);
    	imagedestroy($image_p2);      
        
        
    }
    else {

      if ($image = imagecreatefromjpeg($emplacement_et_nom_fichier_full)) {
        //imagecopyresampled($background, $image, 0, 0, 0, 0, $width, $height, $width_orig, $height_orig);
        resizeImage($emplacement_et_nom_fichier_full, $uploaddir.'min_'.$nom_fichier, $width,$height, 80, $emplacement_et_nom_fichier);
      }
      
    }
    // Affichage
    //imagejpeg($image_p, null, 100);
    
    $result = mysqli_query($dbconn,'UPDATE zelyx_produits SET lien_image=\'produits/'.$nom_fichier.'\' WHERE id='.$_POST['avatar_product_id'].';');
    //echo 'ok';
    echo $emplacement_et_nom_fichier;
  }
  else {
    echo 'ko';
  }
}
else {
  echo 'trop grand! ou non JPG!';
}

//include '../appAndroidLolilota/synchro_produits_lolilota.php';
//include '../appAndroidMilemila/synchro_produits_milemila.php';

require_once 'deconnexionBDD.php';
