package fr.itsee.zelyx;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.view.LayoutInflater;
import android.view.View;
import android.view.inputmethod.InputMethodManager;
import android.widget.EditText;
import android.widget.TextView;

import static fr.itsee.zelyx.CommandesActivity.currentCommande;

public class DialogCommandesActivityEditQte {

    public static void show(final Activity activity, final int position) {
        LayoutInflater inflater = LayoutInflater.from(activity);
        final AlertDialog.Builder builder = new AlertDialog.Builder(activity);

        View view = inflater.inflate(R.layout.dialog_commande_activity_edit_qte, null);

        final EditText inputField = view.findViewById(R.id.dialog_edit_qte_produit_commande);


        builder.setView(view);

        // add "add" button
        builder.setPositiveButton("OK", new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int id) {
                TextView date, num, prixTotal, nom;
                if (!inputField.getText().toString().equals("") && !CommandesActivity.filtreRechercheEnCours) {
                    if (Integer.parseInt(inputField.getText().toString()) > 0) {
                        final String input = inputField.getText().toString();
                        //Mise à jour de la quantité
                        //currentCommande.getListeProduit().get(position);
                        //Qte unitaire
                        currentCommande.getListeProduit().get(position).setQte(Integer.parseInt(input) * currentCommande.getListeProduit().get(position).getQuantite_pack());
                        currentCommande.getListeProduit().get(position).setSiPromo(1);
                        //Rafraichir la liste
                        CommandesActivity.prixTotal.setText(String.valueOf(currentCommande.getPrixTotal()));
                        CommandesActivity.qteTotal.setText(String.valueOf(currentCommande.getQtetotal()));
                        CommandesActivity.mAdapter.notifyDataSetChanged();
                        //new CommandesActivity.UpdateCommandeAsyncTask().execute();
                        //Fermer le clavier
                        InputMethodManager imm = (InputMethodManager) activity.getSystemService(Context.INPUT_METHOD_SERVICE);
                        imm.toggleSoftInput(InputMethodManager.HIDE_IMPLICIT_ONLY, 0);
                    }
                }
            }
        });

        // add cancel button
        builder.setNegativeButton("Annuler", new DialogInterface.OnClickListener() {
            // listen for click on cancel button
            public void onClick(DialogInterface arg0, int arg1) {
                // Fermer le clavier
                InputMethodManager imm = (InputMethodManager) activity.getSystemService(Context.INPUT_METHOD_SERVICE);
                imm.toggleSoftInput(InputMethodManager.HIDE_IMPLICIT_ONLY, 0);
            }
        });

        // display add dialog
        builder.show();

        //Ouvrir le clavier
        InputMethodManager imm = (InputMethodManager) activity.getSystemService(Context.INPUT_METHOD_SERVICE);
        imm.toggleSoftInput(InputMethodManager.SHOW_FORCED, InputMethodManager.HIDE_IMPLICIT_ONLY);

    }

}
