package fr.itsee.zelyx;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.provider.Settings;
import android.support.v7.app.AppCompatActivity;
import android.view.Display;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

public class ModeLivraisonActivity extends AppCompatActivity {

    private Button m1, m2, m3, m4, m5, m6, m7, m8, m9, m10;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_mode_livraison);

            if (android.provider.Settings.System.getInt(getContentResolver(),
                    Settings.System.ACCELEROMETER_ROTATION, 0) == 1) {
                setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_SENSOR_PORTRAIT);
            } else {
                setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
            }

        m1 = findViewById(R.id.m1);
        m2 = findViewById(R.id.m2);
        m3 = findViewById(R.id.m3);
        m4 = findViewById(R.id.m4);
        m5 = findViewById(R.id.m5);
        m6 = findViewById(R.id.m6);
        m7 = findViewById(R.id.m7);
        m8 = findViewById(R.id.m8);
        m9 = findViewById(R.id.m9);
        m10 = findViewById(R.id.m10);

        m1.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                m1.setBackground(getDrawable(R.drawable.selected_mode));
                choix(getResources().getString(R.string.transporteur0));

            }
        });
        m2.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                m2.setBackground(getDrawable(R.drawable.selected_mode));
                choix(getResources().getString(R.string.transporteur2));

            }
        });
        m3.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                m3.setBackground(getDrawable(R.drawable.selected_mode));
                choix(getResources().getString(R.string.transporteur4));

            }
        });
        m4.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                m4.setBackground(getDrawable(R.drawable.selected_mode));
                choix(getResources().getString(R.string.transporteur1));
            }
        });
        m5.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                m5.setBackground(getDrawable(R.drawable.selected_mode));
                choix(getResources().getString(R.string.transporteur3));
            }
        });
        m6.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                m6.setBackground(getDrawable(R.drawable.selected_mode));
                choix(getResources().getString(R.string.transporteur5));
            }
        });
        m7.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                m7.setBackground(getDrawable(R.drawable.selected_mode));
                choix(getResources().getString(R.string.transporteur7));
            }
        });
        m8.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                m8.setBackground(getDrawable(R.drawable.selected_mode));
                choix(getResources().getString(R.string.transporteur6));
            }
        });
        m9.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                m9.setBackground(getDrawable(R.drawable.selected_mode));
                choix(getResources().getString(R.string.transporteur9));
            }
        });
        m10.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                m10.setBackground(getDrawable(R.drawable.selected_mode));
                choix(getResources().getString(R.string.transporteur8));
            }
        });
    }

    @Override
    public void onWindowFocusChanged(boolean hasFocus) {
        if (android.provider.Settings.System.getInt(getContentResolver(),
                Settings.System.ACCELEROMETER_ROTATION, 0) == 1) {
            setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_SENSOR_PORTRAIT);
        } else {
            setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
        }

    }

    @Override
    protected void onResume() {
        super.onResume();

        if (android.provider.Settings.System.getInt(getContentResolver(),
                Settings.System.ACCELEROMETER_ROTATION, 0) == 1) {
            setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_SENSOR_PORTRAIT);
        } else {
            setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
        }
    }

    public void choix(String choix) {
        Intent returnIntent = new Intent();
        if (choix.isEmpty()) {
            choix = "aucun";
        }
        returnIntent.putExtra("choix", choix);
        setResult(Activity.RESULT_OK, returnIntent);
        finish();
    }
}
