<?php
require_once ('connexionBDD.php');
$result = mysqli_query('SET CHARACTER SET utf8');

function format_total_ht($number, $dec_point='.', $thousands_sep=','){
    if($dec_point==$thousands_sep){
        trigger_error('2 paramètres pour ' . __METHOD__ . '() ont la même valeur, qui est "' . $dec_point . '" pour $dec_point et $thousands_sep', E_USER_WARNING);
    }
    if(preg_match('{\.\d+}', $number, $matches)===1){
        $decimals = strlen($matches[0]) - 1;
    }else{
        $decimals = 0;
    }
    return number_format($number, $decimals, $dec_point, $thousands_sep);
}

?>
        <div class="row" style="padding-bottom:20px;">
        <div class="col-md-12"><u>Ticket rassemblé</u></div>
        <div class="col-md-3">
        <span>Commande N° <?php echo $_GET['id_commande_boutique']; ?></span>
        </div>
        <div class="col-md-5">
<!--<a class="btn btn-secondary" href="#" onClick="imprimer_ticket_rassemble('<?php echo $_GET['id']; ?>','<?php echo $_GET['num_commande']; ?>');" >Imprimer</a>-->
<a class="btn btn-secondary" href="#" onClick="imprimer_bon_de_commande('<?php echo $row[5]; ?>');" >Imprimer</a>
</div>
<div class="col-md-4"><img id="code128img<?php echo $row[5]; ?>" src="inc/code128.php?text=<?php echo $_GET['num_commande']; ?>" /></div>
</div>
</div>
<div class="row">
<div class="col-md-12">


<?php
//echo var_dump($_GET);
////////////// NOUVEAU RASSEMBLE LOLILOTA ///////////////
$result = array();
$produitArray = array();
$response = array();
$listeProduitsPresents = array();
$listeProduitsPresentsTxt = "";
//echo "Désignation - Quantité - Prix - Prix total - Désignation complète si inexistante<br />";
if (isset($_GET['num_commande'])) {
    $num_commande = $_GET["num_commande"];
    //1-Parcours de chaque désignation
    //SELECT * FROM `zelyx_produit_designation` 
    if ($stmtDesignations = mysqli_query($dbconn,'SELECT * FROM `zelyx_produit_designation` ORDER BY nom')) {
    
    //DEBUT TABLEAU
    echo '<table id="listeCommandePopup" class="table">
<thead>
<tr style="display:none;"><td>'.$_GET['nom_client'].'</td><td>'.$_GET['nom_transporteur'].'</td><td></td><td><img id="code128imgTicketRassemble'.$_GET['id_commande_boutique'].'" src="inc/code128.php?text='.$_GET['num_commande'].'" style="display:none;"></td><td>'.$_GET['num_commande'].'</td><td></td></tr>
</thead>

<tbody>';
    
    //echo 'test';
    	//2-Pour chaque désignation, récupérer la liste des produits
    	while ($row_designation = mysqli_fetch_array($stmtDesignations)) {
    	//echo $row_designation['nom'];
    	
        /*echo "SELECT `zelyx_commandes_produits`.`code128_produit`,`zelyx_commandes_produits`.`quantite` AS quantite,`zelyx_commandes_produits`.`prix` AS prix, `zelyx_produits`.`informations` AS designation FROM `zelyx_commandes_produits`, `zelyx_produits` WHERE `num_commande`='".$num_commande."' AND (LOWER(`zelyx_produits`.informations) LIKE '%".str_replace("/","%\' OR LOWER(`zelyx_produits`.informations) LIKE  \'",str_replace(' ','%',str_replace("'","%\'",strtolower($row_designation['nom']))))."%' OR LOWER(`zelyx_produits`.informations) LIKE '%".str_replace(' ','%',str_replace("/","%\' OR LOWER(`zelyx_produits`.informations) LIKE  \'%",$row_designation['nom_en']))."%') AND `zelyx_commandes_produits`.`code128_produit` = `zelyx_produits`.`code_128` ORDER BY `zelyx_commandes_produits`.prix";
*/
    	//ATTENTION, si la catégorie dispose d'un / on cherche soit l'un ou l'autre (ON REMPLACE LE / par "' OR `zelyx_produits`.informations LIKE '%")

        //SI LA DESIGNATION EXISTE EN ANGLAIS, on la recherche sinon uniquement en Français
        if ($row_designation['nom_en'] != "") {
            $sqlRechercheProduits = "SELECT `zelyx_commandes_produits`.`code128_produit`,`zelyx_commandes_produits`.`quantite` AS quantite,`zelyx_commandes_produits`.`prix` AS prix, LOWER('".$row_designation['nom']."') AS designation FROM `zelyx_commandes_produits`, `zelyx_produits` WHERE `num_commande`='".$num_commande."' AND (LOWER(`zelyx_produits`.titre_produit) LIKE '%".str_replace("/","%\' OR LOWER(`zelyx_produits`.titre_produit) LIKE  \'",str_replace(' ','%',str_replace("'","%\'",$row_designation['nom'])))."%' OR LOWER(`zelyx_produits`.titre_produit) LIKE '%".str_replace(' ','%',str_replace("/","%\' OR LOWER(`zelyx_produits`.titre_produit) LIKE  \'%",$row_designation['nom_en']))."%') AND `zelyx_commandes_produits`.`code128_produit` = `zelyx_produits`.`code_128` ORDER BY `zelyx_commandes_produits`.prix";
        } else {
            $sqlRechercheProduits = "SELECT `zelyx_commandes_produits`.`code128_produit`,`zelyx_commandes_produits`.`quantite` AS quantite,`zelyx_commandes_produits`.`prix` AS prix, UPPER('".$row_designation['nom']."') AS designation FROM `zelyx_commandes_produits`, `zelyx_produits` WHERE `num_commande`='".$num_commande."' AND (LOWER(`zelyx_produits`.titre_produit) LIKE '%".str_replace("/","%\' OR LOWER(`zelyx_produits`.titre_produit) LIKE  \'",str_replace(' ','%',str_replace("'","%\'",$row_designation['nom'])))."%') AND `zelyx_commandes_produits`.`code128_produit` = `zelyx_produits`.`code_128` ORDER BY `zelyx_commandes_produits`.prix";
            //echo $sqlRechercheProduits;
        }

    	  if ($stmt = mysqli_query($dbconn, $sqlRechercheProduits)) {
    	  
    	  $ancProduitArray["designation"] = "";
            $ancProduitArray["prix"] = "";
            $ancProduitArray["quantite"] = "";
            
            $cumulQuantite = 0;
            
            $total_qte = 0;
    	  
        while ($row_produits = mysqli_fetch_array($stmt)) {
            $produitArray["code128_produit"] = $row_produits['code128_produit'];
            //echo $row_produits["designation"].'<>'. $ancProduitArray["designation"].'<>'.$row_produits["prix"].'<>'.$ancProduitArray["prix"];
            if (strtolower(str_replace("'","%\'",$row_designation['nom'])) != strtolower($ancProduitArray["designation"]) || $row_produits["prix"] != $ancProduitArray["prix"]) {
            	$cumulQuantite = $row_produits["quantite"];
            	
            	//echo 'Initiation cumul produits quantité:'.$cumulQuantite."<br />";
            	$listeProduitsPresents[] = $row_produits['code128_produit'];
            $listeProduitsPresentsTxt .= "'".$row_produits['code128_produit']."',";
            
            if ($row_produits["prix"] != '') {
            	//echo $row_produits["designation"]." - ".$row_produits["quantite"]." - ".$row_produits["prix"]." - ".($row_produits["prix"]*$row_produits["quantite"])."<br />";
            	
            	echo '<tr class="listeCommandePopupLigneProduit">
	<td style="width:120px"></td><td style="width:80px">'.strtoupper(str_replace("'","%\'",$row_designation['nom'])).'</td><td style="width:60px">'.$row_produits["quantite"].'</td><td style="width:60px">'.$row_produits["prix"].'<i class="fa exclamation-triangle"></i></td><td style="width:80px; text-align: right;">'.($row_produits["prix"]*$row_produits["quantite"]).'</td><td style="display: none;"></td>';
            	$total_qte += $row_produits["quantite"];
            	//echo '>>>'.$total_qte;
            	$total_prix += ($row_produits["prix"]*$row_produits["quantite"]);
            }
            
            $result[] = $produitArray;
            } else {
              //On cumul les quantités
              $cumulQuantite += $row_produits["quantite"];
              
              //On ajoute l'ancien produit au moment du changement
              if ($ancProduitArray['designation'] != "") {
                $result[] = $ancProduitArray;
              }
              
            $produitArray["designation"] = strtolower(str_replace("'","%\'",$row_designation['nom']));
            $produitArray["prix"] = $row_produits['prix'];
            $produitArray["quantite"] = $cumulQuantite; //On passe le cumul à la variable
            }
            $ancProduitArray["designation"] = strtolower(str_replace("'","%\'",$row_designation['nom']));
            $ancProduitArray["prix"] = $row_produits["prix"];
            $ancProduitArray["quantite"] = $row_produits["quantite"];
            
            }
            $stmt->close();
    }
	  //3-Enregistrer dans tableau chaque reference trouvés    			  
    	}
    	$stmtDesignations->close();
    	//4-Faire une recherche complète des produits de la commande - références trouvées
    	//echo "SELECT `zelyx_commandes_produits`.`code128_produit`, `zelyx_produits`.`informations` FROM `zelyx_commandes_produits`, `zelyx_produits` WHERE `num_commande`='".$num_commande."' AND `zelyx_commandes_produits`.code128_produit NOT IN (".substr($listeProduitsPresentsTxt,0,-1).") AND `zelyx_commandes_produits`.`code128_produit` = `zelyx_produits`.`code_128`";
    	if ($stmtProduitsManquants = mysqli_query($dbconn, "SELECT `zelyx_commandes_produits`.`code128_produit`,`zelyx_commandes_produits`.`quantite` AS quantite,`zelyx_commandes_produits`.`prix` AS prix, `zelyx_produits`.`titre_produit` AS titre_produit, LOWER('".str_replace("'","%\'",strtolower($row_designation['nom']))."') AS designation FROM `zelyx_commandes_produits`, `zelyx_produits` WHERE `num_commande`='".$num_commande."' AND `zelyx_commandes_produits`.code128_produit NOT IN (".substr($listeProduitsPresentsTxt,0,-1).") AND `zelyx_commandes_produits`.`code128_produit` = `zelyx_produits`.`code_128`  ORDER BY `zelyx_commandes_produits`.prix")) {
    	while ($row_produit_manquant = mysqli_fetch_array($stmtProduitsManquants)) {
    	$produitArray["code128_produit"] = $row_produit_manquant['code128_produit'];
            $produitArray["designation"] = $row_produit_manquant['designation'];
            $produitArray["prix"] = $row_produit_manquant['prix'];
            $produitArray["quantite"] = $row_produit_manquant['quantite'];
            $produitArray["informations"] = $row_produit_manquant['informations'];
    	
    	$listeProduitsPresentsTxt .= "'".$produitArray["code128_produit"]."',";
    	$result[] = $produitArray;
    	//echo $produitArray["code128_produit"]." - ".$produitArray["quantite"]." - ".$produitArray["prix"]." - ".($produitArray["prix"]*$produitArray["quantite"])." - ".$produitArray["informations"]."<br />";	
    		echo '<tr class="listeCommandePopupLigneProduit">
	<td style="width:120px"></td><td style="width:80px">'.$produitArray["code128_produit"].'</td><td style="width:60px">'.$produitArray["quantite"].'</td><td style="width:60px">'.$produitArray["prix"].'<i class="fa exclamation-triangle"></i></td><td style="width:80px; text-align: right;">'.($produitArray["prix"]*$produitArray["quantite"]).'</td><td style="display: none;"></td>';
		$total_qte += $produitArray["quantite"];
		//echo '>>>'.$total_qte;
		$total_prix += ($produitArray["prix"]*$produitArray["quantite"]);
		
    	}
    	$stmtProduitsManquants->close();
    	$response["success"] = 1;
        $response["data"] = $result;	
    }	
    
    }
    
    echo '</tbody>
</table>';
    
    //echo json_encode($response);
    //var_dump($listeProduitsPresents);
    //echo substr($listeProduitsPresentsTxt, 0, -1);
    }
/////////////////////////////////////////////////////////
?>

<div id="id_commande_boutique" style="display:none;"><?php echo $id_commande_boutique; ?></div>
<table id="listeCommandePopupFooter" class="table">
<tfooter>
	<?php
        
	  if ($remise_globale_total != "0.0" && $remise_globale_total != "") {
              ?>
	  	<tr class="listeCommandePopupTotal">
			<td><!--Total qté: <?php echo $total_qte;?>--></td>
                        <td colspan="4" class="listeCommandePopupTotalHT"  style="text-align:right;">Total Produits HT avant remise: <?php echo format_total_ht(sprintf('%0.2f', $total_prix),","," "); ?> €
                            <br />Remise (<?php echo $remise_globale_total; ?>%): <?php echo format_total_ht(sprintf('%0.2f', (($total_prix*$remise_globale_total)/100)),","," "); ?> €
                            <br />Total produits HT: <?php echo format_total_ht(sprintf('%0.2f', ($total_prix-(($total_prix*$remise_globale_total)/100)),","," "),","," "); ?> €
                            <br />Total produits TTC: <?php echo format_total_ht(sprintf('%0.2f', (($total_prix-(($total_prix*$remise_globale_total)/100))*1.2),","," "),","," "); ?> €
                        </td>
		</tr>
                <?php
	  } else {
	?>
<tr class="listeCommandePopupTotal">
	<td><!--<Total qté: <?php echo $total_qte; ?>--></td><td colspan="4" class="listeCommandePopupTotalHT" style="text-align:right;">Total produits HT: <?php echo format_total_ht(sprintf('%0.2f', $total_prix),","," "); ?> €
	<br />Total produits TTC: <?php echo format_total_ht(sprintf('%0.2f', (($total_prix-(($total_prix*$remise_globale_total)/100))*1.2),","," "),","," "); ?> €
	</td>
</tr>
<?php
  $prix_livraison = 0;
?>
<!--<tr class="listeCommandePopupTotal">
	<td>Total livraison: <?php echo $prix_livraison; ?> €</td><td colspan="4" class="listeCommandePopupTotalHT">Total TTC: <?php echo format_total_ht(sprintf('%0.2f', ($total_prix+$prix_livraison)*1.20),","," "); ?> €</td>
</tr>-->
<?php } ?>
</tfooter>
</table>
</div>
<?php
require_once ('deconnexionBDD.php');
?>
