<?php

require_once('connexionBDD.php');

function base64_to_jpeg($base64_string, $output_file) {
    $emplacement_et_nom_fichier_full = substr($output_file, 0, -4) . '_full.jpg';
    //Enregistrement en grand
    $ifp = fopen($emplacement_et_nom_fichier_full, 'wb');
    fwrite($ifp, base64_decode($base64_string));
    fclose($ifp);

    //Conversion en petite taille
    $nom_fichier = str_replace('../', '', $output_file);
    $emplacement_et_nom_fichier = '../' . $nom_fichier;
    copy($emplacement_et_nom_fichier_full, $emplacement_et_nom_fichier);
    $width = 99;
    $height = 149;
    list($width_orig, $height_orig) = getimagesize($output_file);
    $ratio_orig = $width_orig / $height_orig;

    $image_p = imagecreatetruecolor($width, $height);
    if ($image = imagecreatefromjpeg($emplacement_et_nom_fichier_full)) {
        imagecopyresampled($image_p, $image, 0, 0, 0, 0, $width, $height, $width_orig, $height_orig);
        mail('contact@itsee.fr', 'C\'est bon mobile', 'cool' . $width . '-' . $height . '-' . $width_orig . '' . $height_orig . $emplacement_et_nom_fichier_full);
    } else {
        mail('contact@itsee.fr', 'Pas bon mobile', 'non' . $output_file . '((((' . $emplacement_et_nom_fichier_full);
    }
    //Enregistre
    imagejpeg($image_p, $emplacement_et_nom_fichier);
    imagedestroy($image_p);

    return $output_file;
}

if (isset($_POST)) {
    
    mail("contact@itsee.fr","retour ajout produit", json_encode($_POST));

//REFERENCE
$row[0] = $_POST['product_reference'];
//COULEUR
if ($_POST['product_color'] != "--- Couleur ---") {
  $row[1] = $_POST['product_color'];
} else {
  $row[1] = "";
}
//CODE 128
$row[2] = $_POST['product_code_128'];
// PRIX
$row[3] = $_POST['product_price'];
//PRIX PROMO
$row[4] = $_POST['product_price_promo'];
//QTE/PACKS
$row[5] = $_POST['product_quantity_packs'];
//STOCK
$row[6] = $_POST['product_stock'];
//TM
$row[7] = $_POST['product_code_tm'];
//MARQUE
if ($_POST['product_marque'] != "--- Marque ---") {
  $row[8] = $_POST['product_marque'];
} else {
  $row[8] = "";
}
//DESIGNATION ON NE TRAITE PAS
if ($_POST['product_designation'] != "--- Désignation ---") {
  $row[9] = $_POST['product_designation'];
} else {
  $row[9] = "";
}
//NUM RAYON
$row[10] = $_POST['product_rayon'];

                                    //TRAITEMENT REFERENCE
                                    if ($row[0] != "") {
                                        $reference = strtoupper(str_replace("'", "\'", $row[0]));
                                        //Extraire le code Désignation depuis la référence
                                        $codeCategorie = substr($row[0], 0, 2);
                                        //TROUVER CODE CATEGORIE ET NOM CATEGORIE
                                        //Depuis le code de la désignation, trouver l'intitulé de la désignation
                                        $designationCategorie = "";
                                        $result_nom_categorie = mysqli_query($dbconn, utf8_encode('SELECT nom FROM zelyx_produit_designation WHERE id=\'' . $codeCategorie . '\';'));
                                        $row_nom_categorie = mysqli_fetch_array($result_nom_categorie);
                                        $designationCategorie = $row_nom_categorie[0];
                                    } else {
                                        $reference = "";
                                    }

                                    //TRAITEMENT COULEUR
                                    require_once('codeCouleur.php');
                                    $couleur = strtoupper(str_replace("'", "\'", $row[1]));
                                    $couleurRaccourci = shortColor(str_replace("'", "\'", $row[1]));

                                    //UPLOAD DE L'IMAGE
                                    if ($_POST['product_image_base64']!="") {
                                        base64_to_jpeg($_POST['product_image_base64'],"../produits/".str_replace(" ","_",$reference)."_".$couleurRaccourci.".jpg");
                                        $lien_image_produit = "produits/".str_replace(" ","_",$reference)."_".$couleurRaccourci.".jpg";
                                    } else {
                                        $lien_image_produit = "";
                                    }
                                    
                                    //TRAITEMENT CODE128
                                    //Si code128 non précisé, alors le générer
                                    if ($row[2] == "") {
                                        $code128 = strtoupper(str_replace("'", "\'", $row[0] . " " . $row[1]));
                                    } else {
                                        $code128 = $row[2];
                                    }

                                    //TRAITEMENT PRIX
                                    if ($row[3] != "") {
                                        $prix = strtoupper(str_replace(",", ".", str_replace("'", "\'", $row[3])));
					if ($prix > 99) {
                                          $prixCodeEbp = str_pad(str_replace(".", "", $prix), 4, "0", STR_PAD_LEFT);
					} else {
					  $prixCodeEbp = str_pad(str_replace(".", "", $prix), 2, "0", STR_PAD_LEFT)."00";
					}
                                    } else {
                                        $prix = "";
                                    }

                                    //TRAITEMENT PRIX_PROMO
                                    if ($row[4] != "") {
                                        $prixPromo = strtoupper(str_replace("'", "\'", str_replace(",", ".", str_replace("'", "\'", $row[4]))));
                                    } else {
                                        $prixPromo = "";
                                    }

                                    //TRAITEMENT QTE/PACKS
                                    if ($row[5] != "") {
                                        $qtePacks = strtoupper(str_replace("'", "\'", $row[5]));
                                    } else {
                                        $qtePacks = 1;
                                    }

                                    //TRAITEMENT STOCK
                                    if ($row[6] != "") {
                                        $stock = strtoupper(str_replace("'", "\'", $row[6]));
                                    } else {
                                        $stock = "";
                                    }

                                    //TRAITEMENT TM
                                    if ($row[7] != "") {
                                        $codeTM = strtoupper(str_replace("'", "\'", $row[7]));
                                    } else {
                                        $codeTM = "";
                                    }

                                    //TRAITEMENT MARQUE
                                    if ($row[8] != "") {
                                        $marque = strtoupper(str_replace("'", "\'", $row[8]));
                                    } else {
                                        $marque = "";
                                    }

                                    //TRAITEMENT DESIGNATION
                                    //if ($row[9] != "") {
                                    //}
                                    //ON NE TRAITE PAS
                                    //TRAITEMENT NUM_RAYON
                                    if ($row[10] != "") {
                                        $numRayon = strtoupper(str_replace("'", "\'", $row[10]));
                                    } else {
                                        $numRayon = "";
                                    }

                                    //GENERER CODE EBP
                                    if ($codeCategorie != "" && $prixCodeEbp != "") {
                                        //ATTENTION BIEN MARQUER LES PRIX EN 1.50 POUR 1€50 ET POUR 1€ 1.00
                                        $codeEbp = $codeCategorie . $prixCodeEbp;
                                        $codeArticle = $codeEbp;
                                    } else {
                                        $codeEbp = "";
                                        $codeArticle = "";
                                    }


                                    //////////////////////////////////
                                    // TRAITEMENT BASE DE DONNEES
                                    //////////////////////////////////					
                                    //Vérifier si le produit existe déjà
                                    $result_import_exist = mysqli_query($dbconn, utf8_encode('SELECT * FROM zelyx_produits WHERE code_128 =\'' . $reference . ' ' . $couleurRaccourci . '\';'));
                                    if (mysqli_num_rows($result_import_exist) > 0) {
                                        //MISE A JOUR DU PRODUIT
                                        $sql_update_dynamique = 'UPDATE zelyx_produits SET reference=\'' . $reference . '\', coloris=\'' . $couleurRaccourci . '\', commandable = \'X\', code_128 = \'' . $code128 . '\'';
                                        if ($qtePacks != 1) {
                                            $sql_update_dynamique .= ', quantite_packs = \'' . $qtePacks . '\'';
                                        }
                                        if ($prix != "") {
                                            $sql_update_dynamique .= ', prix = \'' . $prix . '\'';
                                        }
                                        if ($stock != "") {
                                            $sql_update_dynamique .= ', stock = stock + \'' . $stock . '\'';
                                        }
                                        if ($numRayon != "") {
                                            $sql_update_dynamique .= ', numero_de_rayon = \'' . $numRayon . '\'';
                                        }
                                        if ($designationCategorie != "") {
                                            $sql_update_dynamique .= ', informations = \'' . $designationCategorie . '\'';
                                        }
                                        if ($prixPromo != "") {
                                            $sql_update_dynamique .= ', prix_promo=\'' . $prixPromo . '\'';
                                        }
                                        if ($codeCategorie != "") {
                                            $sql_update_dynamique .= ', categorie=\'' . $codeCategorie . '\'';
                                        }
                                        if ($codeEbp != "") {
                                            $sql_update_dynamique .= ', code_ebp=\'' . $codeEbp . '\'';
                                        }
                                        if ($marque != "") {
                                            $sql_update_dynamique .= ', marque=\'' . $marque . '\'';
                                        }
                                        if ($code128 != "") {
                                            $sql_update_dynamique .= ', code_128=\'' . $code128 . '\'';
                                        }
                                        //CodeArticle = codeEbp
                                        if ($codeArticle != "") {
                                            $sql_update_dynamique .= ', code_article=\'' . $codeArticle . '\'';
                                        }
                                        if ($codeTM != "") {
                                            $sql_update_dynamique .= ', code_tm=\'' . $codeTM . '\'';
                                        }
                                        $sql_update_dynamique .= ', actif=1 WHERE code_128 = \'' . $reference . ' ' . $couleurRaccourci . '\';';
                                        //Lancement de la requete
                                        //echo $sql_update_dynamique;
                                        //Mail CHECK
                                        mail('contact@itsee.fr', 'maj produit IMPORT', $sql_update_dynamique);
                                        if (mysqli_query($dbconn, $sql_update_dynamique)) {
                                            echo '{"success":"1"}';
                                        } else {
                                            echo '{"success":"0"}';
                                        }
                                    } else {
                                        $sql_insert_dynamique = 'INSERT INTO zelyx_produits ('
                                                . 'reference,'
                                                . ' coloris,'
                                                . ' commandable,'
                                                . ' code_128,'
                                                . ' quantite_packs,'
                                                . ' prix,'
                                                . ' stock,'
                                                . ' numero_de_rayon,'
                                                . ' informations,'
                                                . 'prix_promo,'
                                                . 'categorie,'
                                                . 'lien_image,'
                                                . 'code_ebp,'
                                                . 'marque,'
                                                . 'actif,'
                                                . 'code_article,'
                                                . 'code_tm'
                                                . ') VALUES ('
                                                . '\'' . $reference . '\', '
                                                . '\'' . $couleurRaccourci . '\', '
                                                . '\'X\', '
                                                . '\'' . $code128 . '\', '
                                                . '\'' . $qtePacks . '\', '
                                                . '\'' . $prix . '\', '
                                                . '\'' . $stock . '\', '
                                                . '\'' . $numRayon . '\', '
                                                . '\'' . $designationCategorie . '\', '
                                                . '\'' . $prixPromo . '\','
                                                . '\'' . $codeCategorie . '\','
                                                . '\'' . $lien_image_produit . '\','
                                                . '\'' . $codeEbp . '\','
                                                . '\'' . $marque . '\','
                                                . '1,'
                                                . '\'' . $codeArticle . '\','
                                                . '\'' . $codeTM . '\''
                                                . ');';
                                        //echo $sql_insert_dynamique;
                                        //Mail CHECK
                                        mail('contact@itsee.fr', 'ajout produit IMPORT', $sql_insert_dynamique);
                                        if (mysqli_query($dbconn, $sql_insert_dynamique)) {
                                            echo '{"success":"1"}';
                                        } else {
                                            echo '{"success":"0"}';
                                        }
                                        
    }
    
} else {
    echo '{"success":"0"}';
}
require_once('deconnexionBDD.php');

