<?php
include 'connexionBDD.php';
$result = array();
$produitArray = array();
$response = array();
if(isset($_GET['code_vendeur'])){
    $code_vendeur = $_GET["code_vendeur"];
    $query = "SELECT id, nom, prenom, boutique, code_boutique, adresse_mac_imprimante FROM zelyx_utilisateurs WHERE code_vendeur=? AND actif=1;";

	if($stmt = $dbconn->prepare($query)){
		$stmt->bind_param("s",$code_vendeur);
		$stmt->execute();
        $stmt->bind_result($id, $nom, $prenom, $boutique, $code_boutique, $mac_imprimante);

		if($stmt->fetch()){
            $userArray["id"] = $id;
			$userArray["nom"] = $nom;
            $userArray["prenom"] = $prenom;
            $userArray["boutique"] = $boutique;
			$userArray["code_boutique"] = $code_boutique;
			$userArray["mac_imprimante"] = $mac_imprimante;
			$response["success"] = 1;
            $result[]=$userArray;
		} else {
			$response["success"] = 0;
		}
        $stmt->close();
        $response["data"] = $result;
	}else{
		$response["success"] = 0;
		$response["message"] = mysqli_error($dbconn);
	}
 
}else{
	$response["success"] = 0;
	$response["message"] = "missing parameter reference";
}
//Display JSON response
echo json_encode($response);
include 'deconnexionBDD.php';
?>
