<?php
include 'connexionBDD.php';
$result = array();
$produitArray = array();
$response = array();
if(isset($_GET['numero_commande'])){
    $numero_commande = $_GET["numero_commande"];
    $query = "SELECT id, numero_commande, nom_client, date_commande, zone, complete, mode_livraison, remiseGlobale FROM zelyx_commandes WHERE numero_commande=?;";

	if($stmt = $dbconn->prepare($query)){
		$stmt->bind_param("s",$numero_commande);
		$stmt->execute();
        $stmt->bind_result($id, $numero_commande, $nom_client, $date_commande, $zone, $complete, $mode_livraison, $remise_globale);
	
		while($stmt->fetch()){
            $produitArray["id"] = $id;
            $produitArray["numero_commande"] = $numero_commande;
            $produitArray["nom_client"] = $nom_client;
            $produitArray["date_commande"] = $date_commande;
            $produitArray["zone"] = $zone;
            $produitArray["complete"] = $complete;
            $produitArray["mode_livraison"] = $mode_livraison;
            $produitArray["remise_globale"] = $remise_globale;

            $result[]=$produitArray;
		}
        $stmt->close();
        $response["success"] = 1;
        $response["data"] = $result;
 
 
	}else{
		$response["success"] = 0;
		$response["message"] = mysqli_error($dbconn);
		
	}
 
}else{
	$response["success"] = 0;
	$response["message"] = "missing parameter reference";
}
include 'deconnexionBDD.php';
//Display JSON response
echo json_encode($response);

?>