<?php
include 'connexionBDD.php';
$result = array();
$produitArray = array();
$response = array();
if(isset($_GET['reference'])){
    $reference = $_GET["reference"];
    //$query = "SELECT id, reference, coloris, commandable, code_128, quantite_packs, prix, stock, numero_de_rayon, informations, lien_image, actif FROM zelyx_produits WHERE reference=?;";
	$query = "SELECT p1.id, p1.reference, p1.coloris, p1.commandable, p1.code_128, p1.quantite_packs, ROUND(p1.prix,2), p1.stock, p1.numero_de_rayon, p1.informations, p1.lien_image, p1.actif, (SELECT SUM(p2.stock*p2.quantite_packs) FROM zelyx_produits p2 WHERE p2.commandable='X' AND p1.reference=p2.reference) FROM zelyx_produits p1 WHERE p1.reference=? AND p1.commandable='X' AND p1.actif=1 ORDER BY p1.code_128 DESC";

	if($stmt = $dbconn->prepare($query)){
		$stmt->bind_param("s",$reference);
		$stmt->execute();
        $stmt->bind_result($id, $reference, $coloris, $commandable, $code_128, $quantite_packs, $prix, $stock, $numero_de_rayon, $informations, $lien_image, $actif, $qte_total_ref);

		while($stmt->fetch()){
            $produitArray["id"] = $id;
            $produitArray["reference"] = $reference;
            $produitArray["coloris"] = $coloris;
            $produitArray["commandable"] = $commandable;
            $produitArray["code_128"] = $code_128;
            $produitArray["quantite_packs"] = $quantite_packs;
            $produitArray["prix"] = str_replace(",", ".",$prix);
            $produitArray["stock"] = $stock;
            $produitArray["numero_de_rayon"] = $numero_de_rayon;
            $produitArray["informations"] = $informations;
            $produitArray["lien_image"] = $lien_image;
            $produitArray["actif"] = $actif;
			$produitArray["qte_total_ref"] = $qte_total_ref;
            $result[]=$produitArray;
		}
        $stmt->close();
        $response["success"] = 1;
        $response["data"] = $result;
	}else{
		$response["success"] = 0;
		$response["message"] = mysqli_error($dbconn);
	}
 
}else{
	$response["success"] = 0;
	$response["message"] = "missing parameter reference";
}
//Display JSON response
echo json_encode($response);
include 'deconnexionBDD.php';
?>