<?php

header('Content-Type: application/json');

$input = filter_input_array(INPUT_POST);

require_once 'connexionBDD.php';

//Création de la requête SQL
//coloris
//Converti la couleur en raccourci
if ($input['coloris'] != "") {
    $result_nom_raccourci = mysqli_query($dbconn, utf8_encode('SELECT nom_raccourci FROM zelyx_produits_couleurs WHERE nom=\'' . str_replace(' ','-',strtoupper($input['coloris'])) . '\';'));
    $row_nom_raccourci = mysqli_fetch_array($result_nom_raccourci);
    $nomRaccourci = $row_nom_raccourci[0];
    if ($nomRaccourci != "") {
        $input['coloris'] = $nomRaccourci;
    }
}
//Change le code 128 également

//code_128
if (isset($input['code_128'])) {
    $sql_ids .= 'code_128=\'' . strtoupper(str_replace("'", "\'", trim($input['code_128']))) . '\',';
}
//quantite_packs
if (isset($input['quantite_packs'])) {
    $sql_ids .= 'quantite_packs=\'' . str_replace("'", "\'", trim($input['quantite_packs'])) . '\',';
}
//stock
if (isset($input['stock'])) {
    if($input['stock']==""){
        $sql_ids .= 'stock="0",';
    } else {
        $sql_ids .= 'stock=\'' . str_replace("'", "\'", trim($input['stock'])) . '\',';
    }
}
//numero_de_rayon
if (isset($input['numero_de_rayon'])) {
    $sql_ids .= 'numero_de_rayon=\'' . str_replace("'", "\'", trim($input['numero_de_rayon'])) . '\',';
}
//codeTM
if (isset($input['code_tm'])) {
    $sql_ids .= 'code_tm=\'' . str_replace("'", "\'", trim($input['code_tm'])) . '\',';
}
//prix promo
if (isset($input['prix_promo']) && ($input['prix_promo'] > 0)) {
    $sql_ids .= 'prix_promo=\'' . str_replace("'", "\'", trim($input['prix_promo'])) . '\',';
} else {
    $sql_ids .= 'prix_promo=\'0\',';
}
//Titre produit
if (isset($input['titre_produit'])) {
    $sql_ids .= 'titre_produit=\''. str_replace("'","\'", trim($input['titre_produit'])) .'\',';
}
//Description produit
if (isset($input['description_produit'])) {
    $sql_ids .= 'description_produit=\''. str_replace("'","\'", trim($input['description_produit'])) .'\',';
}
//Sous collection
if (isset($input['sous_collection_produit'])) {
    $sql_ids .= 'sous_collection=(SELECT nom FROM zelyx_sous_collections WHERE id=\''. str_replace("'","\'", trim($input['sous_collection_produit'])) .'\'),';
}

//code_ebp et code_article CHANGE SI PRIX OU CATEGORIE CHANGE GENERE
//Si référence change alors
if ($input['reference'] != "") {
    $result_prix_article = mysqli_query($dbconn, utf8_encode('SELECT prix, categorie FROM zelyx_produits WHERE id=\'' . $input['id'] . '\';'));
    $row_prix_article = mysqli_fetch_array($result_prix_article);
    $prixToCodeEbp = str_replace(".","",$row_prix_article[0]);
    $code_categorie = $row_prix_article[1];
    $result_nom_categorie = mysqli_query($dbconn, utf8_encode('SELECT nom FROM zelyx_produit_designation WHERE id=\'' . $code_categorie . '\';'));
    $row_nom_categorie = mysqli_fetch_array($result_nom_categorie);
                                        if ($prixToCodeEbp > 999) {
                                            echo $prixCodeEbp = str_pad(str_replace(".", "", $prixToCodeEbp), 4, "0", STR_PAD_LEFT);
                                        } else if ($prixToCodeEbp > 99) {
                                            echo $prixCodeEbp = str_pad(str_replace(".", "", $prixToCodeEbp), 3, "0", STR_PAD_LEFT)."0";
                                        } else {
                                            echo $prixCodeEbp = str_pad(str_replace(".", "", $prixToCodeEbp), 2, "0", STR_PAD_LEFT)."00";
                                        }
    //$code_ebp = $code_categorie . $row_prix_article[0];
    $code_ebp = $code_categorie.$prixToCodeEbp;
    $result_couleur_article = mysqli_query($dbconn, utf8_encode('SELECT coloris, code_128 FROM zelyx_produits WHERE id=\''.$input['id'].'\';'));
    $row_couleur_article = mysqli_fetch_array($result_couleur_article);
    $couleur_article = $row_couleur_article[0];
    $code_128_existant = $row_couleur_article[1];
    $sql_ids .= 'reference=\'' . $input['reference'] . '\',';
    $sql_ids .= 'code_ebp=\'' . $code_ebp . '\',';
    $sql_ids .= 'code_article=\'' . $code_ebp . '\',';
    $sql_ids .= 'categorie=\'' . $code_categorie . '\',';
    $sql_ids .= 'informations=\'' . $row_nom_categorie[0] . '\',';
    //UNIQUEMENT SI IL N'Y A PAS DE CODE 128 EXISTANT
    if ($code_128_existant == '') {
        $sql_ids .= 'code_128=\'' . $input['reference'] . ' ' . $couleur_article . '\',';
    }
    //Si catégorie change alors
} else if ($input['informations'] != "") {
    $result_prix_article = mysqli_query($dbconn, utf8_encode('SELECT prix FROM zelyx_produits WHERE id=\'' . $input['id'] . '\';'));
    $row_prix_article = mysqli_fetch_array($result_prix_article);
    $result_code_categorie = mysqli_query($dbconn, utf8_encode('SELECT id FROM zelyx_produit_designation WHERE nom=\'' . $input['informations'] . '\';'));
    $row_code_categorie = mysqli_fetch_array($result_code_categorie);
    $prixToCodeEbp = str_replace(".","",$row_prix_article[0]);
                                        if ($prixToCodeEbp > 999) {
                                            echo $prixCodeEbp = str_pad(str_replace(".", "", $prixToCodeEbp), 4, "0", STR_PAD_LEFT);
                                        } else if ($prixToCodeEbp > 99) {
                                            echo $prixCodeEbp = str_pad(str_replace(".", "", $prixToCodeEbp), 3, "0", STR_PAD_LEFT)."0";
                                        } else {
                                            echo $prixCodeEbp = str_pad(str_replace(".", "", $prixToCodeEbp), 2, "0", STR_PAD_LEFT)."00";
                                        }
    //$code_ebp = $code_categorie . $row_prix_article[0];
    $code_ebp = $code_categorie.$prixCodeEbp;
    //$code_ebp = $row_code_categorie[0] . str_pad(str_replace(".", "", $row_prix_article[0]), 4, "0", STR_PAD_LEFT);
    $sql_ids .= 'code_ebp=\'' . $code_ebp . '\',';
    $sql_ids .= 'code_article=\'' . $code_ebp . '\',';
    $sql_ids .= 'categorie=\'' . $row_code_categorie[0] . '\',';
    $sql_ids .= 'informations=\'' . $input['informations'] . '\',';
    //Si 
} else if ($input['prix'] != "") {
    $result_code_categorie = mysqli_query($dbconn, utf8_encode('SELECT categorie FROM zelyx_produits WHERE id=\'' . $input['id'] . '\';'));
    $row_code_categorie = mysqli_fetch_array($result_code_categorie);
    $result_nom_categorie = mysqli_query($dbconn, utf8_encode('SELECT nom FROM zelyx_produit_designation, zelyx_produits WHERE zelyx_produits.id=\'' . $input['id'] . '\' AND zelyx_produit_designation.id=zelyx_produits.categorie;'));
    $row_nom_categorie = mysqli_fetch_array($result_nom_categorie);
    //$prixEbp = str_pad(str_replace(".", "", str_replace(",", ".", $row[7])), 4, "0", STR_PAD_LEFT);
    //$code_ebp = $row_code_categorie[0] . $prixEbp;
    $prixToCodeEbp = str_replace(".","",$row[7]);
    if ($prixToCodeEbp > 999) {
      echo $prixCodeEbp = str_pad(str_replace(".", "", $prixToCodeEbp), 4, "0", STR_PAD_LEFT);
    } else if ($prixToCodeEbp > 99) {
      echo $prixCodeEbp = str_pad(str_replace(".", "", $prixToCodeEbp), 3, "0", STR_PAD_LEFT)."0";
    } else {
      echo $prixCodeEbp = str_pad(str_replace(".", "", $prixToCodeEbp), 2, "0", STR_PAD_LEFT)."00";
    }
    //$code_ebp = $code_categorie . $row_prix_article[0];
    $code_ebp = $code_categorie.$prixCodeEbp;
    $sql_ids .= 'prix=\'' . $input['prix'] . '\',';
    $sql_ids .= 'code_ebp=\'' . $code_ebp . '\',';
    $sql_ids .= 'code_article=\'' . $code_ebp . '\',';
    $sql_ids .= 'informations=\'' . $row_nom_categorie[0] . '\',';
} else if ($input['coloris'] != "") {
    $result_reference_article = mysqli_query($dbconn, utf8_encode('SELECT reference, code_128 FROM zelyx_produits WHERE id=\''.$input['id'].'\';'));
    $row_reference_article = mysqli_fetch_array($result_reference_article);
    $sql_ids .='coloris=\''.$input['coloris'].'\',';
    $code_128_existant = $row_reference_article[1];
    //UNIQUEMENT SI IL N'Y A PAS DE CODE 128 EXISTANT
    if ($code_128_existant == '') {
        $sql_ids .='code_128=\''.$row_reference_article[0].' '.$input['coloris'].'\',';
    }
    
}

//marque
if (isset($input['marque'])) {
    $sql_ids .= 'marque=\'' . strtoupper(str_replace("'", "\'", trim($input['marque']))) . '\',';
}

//poids
if (isset($input['poids'])) {
    $sql_ids .= 'poids=\'' . strtoupper(str_replace("'", "\'", trim($input['poids']))) . '\',';
}

//titre_produit
if (isset($input['titre_produit'])) {
    $sql_ids .= 'titre_produit=\'' . strtoupper(str_replace("'", "\'", trim($input['titre_produit']))) . '\',';
}

//description_produit
if (isset($input['description_produit'])) {
    $sql_ids .= 'description_produit=\'' . strtoupper(str_replace("'", "\'", trim($input['description_produit']))) . '\',';
}

$sql_ids = substr($sql_ids, 0, -1);
if (strlen($sql_ids) > 0) {
    $result = mysqli_query($dbconn, 'UPDATE zelyx_produits SET ' . $sql_ids . ' WHERE id=' . $input['id'] . ';');
    //mail('contact@itsee.fr', 'maj produit2', 'UPDATE zelyx_produits SET ' . $sql_ids . ' WHERE id=' . $input['id'] . ';');
}
require_once 'deconnexionBDD.php';

//Appeler la synchronisation des produits des applications
//include '../appAndroidLolilota/synchro_produits_lolilota.php';
//include '../appAndroidMilemila/synchro_produits_milemila.php';

echo json_encode($input);
