function zoom_image(id_produit, link_image) {
    document.getElementById('avatar_product_id').value = id_produit;
	link_image = link_image.replace(".jpg", "_full.jpg");
	link_image = link_image.replace(".JPG", "_full.JPG");
	document.getElementById('zoom_image').setAttribute("src", link_image);
        $("#modalCollectionsImageProduit").trigger('click');
}

function supprimer(id) {
	var valeurs = [];
	valeurs.push(id);
	var conf = confirm('Etes-vous sûr de vouloir supprimer ce produit ?');
            if(conf == true){
				$.post("inc/supprimerProduit.php", {liste_products: valeurs})
                .done(function (data) {
                    refresh_products("oui");
                })
                .fail(function () {
                    alert('Impossible de supprimer ce produit!');
                });
			}
}

function dupliquer(id) {
	$.get("inc/dupliquer_produit.php", {id_product: id})
                .done(function (data) {
					var obj = jQuery.parseJSON( data );
					//product_reference
					$("input[name=product_reference_ajouter]").val(obj.reference);
					//alert( obj.reference );
					//product_color
					$("select[name=product_color_ajouter]").val(obj.coloris);
					//product_marque
					$('select[name=product_marque_ajouter]').val(obj.marque);
					//product_quantity_packs
					$("input[name=product_quantity_packs_ajouter]").val(obj.quantite_packs);
					//alert( obj.quantite_packs );
					//product_stock
					$("input[name=product_stock_ajouter]").val(obj.stock);
					//alert( obj.stock );
					//product_price
					$("input[name=product_price_ajouter]").val(obj.prix);
					//alert( obj.prix );
					//product_price_promo
					$("input[name=product_price_promo_ajouter]").val(obj.prix_promo);
					//alert( obj.prix_promo );
					//product_code_ebp
					$("input[name=product_code_ebp_ajouter]").val(obj.code_ebp);
					//alert( obj.code_ebp );
					//product_categorie
					$('select[name=product_designation_ajouter]').val(obj.informations);
					//Lancer la fenêtre d'ajout de produit
					$("#modalAjouterProduit").trigger('click');
                })
				
	/*$.ajax({ 
    type: 'GET', 
    url: 'inc/dupliquer_produit.php', 
    data: { data: 'id_product='+id , get_param: 'value' }, 
    dataType: 'json',
    success: function (data) {
		*/
    }
//});

function reassort() {
	var valeurs = [];
        $('input:checked[name=liste_products]').each(function () {
            //parcours de tous les BAT à supprimer
            valeurs.push($(this).val());
        });
$.post("inc/reassort_produit.php", {liste_products: valeurs})
                .done(function (data) {
                    $('#refreshed_reassort_products').html(data);
					$("#fermerModelReassort").trigger('click');
                })
                .fail(function () {
                    $('#refreshed_reassort_products').html('Veuillez sélectionner des produits !');
                });
}
function si_commandable_json(si_commandable) {
	var valeurs = [];
        $('input:checked[name=liste_products]').each(function () {
            //parcours de tous les BAT à supprimer
            valeurs.push($(this).val());
        });
$.post("inc/updateProduitCommandableJson.php", {liste_products: valeurs, commandable: si_commandable})
                .done(function (data) {
                    refresh_products("oui");
                })
                .fail(function () {
                    alert('Impossible de mettre à jour l\'état du produit !');
                });
}

function maj_reassort() {
	var valeurs = [];
	var valeurs_qte = [];
	var valeurs_informations = [];
        $('input:checked[name=liste_products]').each(function () {
            //parcours de tous les produits à MAJ
            valeurs.push($(this).val());
			//alert ('val:'+$("input[name='ressortProduitQte"+$(this).val()+"']").val());
			valeurs_qte.push($("input[name='ressortProduitQte"+$(this).val()+"']").val());
			//alert('id:'+$(this).val()+' qte:'+$("input[name='ressortProduitQte"+$(this).val()+"']").val());
			valeurs_informations.push($("textarea[name='ressortProduitInformations"+$(this).val()+"']").val());
			//alert('id:'+$(this).val()+' informations:'+$("textarea[name='ressortProduitInformations"+$(this).val()+"']").val());
        });
	$.post("inc/updateReassortProduct.php", {liste_products: valeurs, liste_reassort: valeurs_qte, liste_informations: valeurs_informations})
                .done(function (data) {
                    refresh_products("oui");
					$("#fermerModalReassort").trigger('click');
                })
                .fail(function () {
                    alert('Impossible de mettre à jour le stock !');
                });
}


$(document).ready(function () {
	$("#add_product_button").click(function () {
		$('#add_product_form')[0].reset();
	});
	$("#reassort_product_button").click(function () {
		reassort();
	});
        $("#devenir_commandable_product_button").click(function () {
		si_commandable_json("X");
                refresh_products("oui");
	});
        $("#devenir_noncommandable_product_button").click(function () {
		si_commandable_json('O');
                refresh_products("oui");
	});
	$("#product_reassort_confirmation").click(function () {
		maj_reassort();
	});
        //Upload de l'image
        //Moification des collections du produit
        $("#product_modification_image_confirmation").click(function () {
        var form = $('#product_modification_form').get(0);
        var avatar_product_id = $('#avatar_product_id').val();
        var formData = new FormData(form);
        
        var request = $.ajax({
            type: 'POST',
            url: 'inc/uploadProduct.php',
            data: formData,
            dataType: 'text',
            processData: false,
            contentType: false,
            success: function(response){
                if (response == 'ko') {
                  alert('Veuillez recommencer!');
                } else if (response != ''){
                  $("#img"+avatar_product_id).attr("src",response);
                }
            },
        });
        request.done(function( msg ) {
            if (msg != '') {
                $("#product_modification_form")[0].reset();
                $('#fermerModal').trigger('click');
            }
            if (msg === 'ko') {
                alert('Veuillez sélectionner une image!');
            }
        });
    });
        
        
        
    $("#product_modification_confirmation").click(function () {
        var form = $('#product_modification_form').get(0);
        var formData = new FormData(form);
        var request = $.ajax({
            type: 'POST',
            url: 'inc/updateCollectionsProducts.php',
            data: formData,
            dataType: 'text',
            processData: false,
            contentType: false
        });
        request.done(function( msg ) {
            /*if (msg === 'ok') {
                refresh_products("oui");
                $("#product_modification_form")[0].reset();
                $.post("inc/resultatsProducts.php")
                .done(function (data) {
                    $('#refreshed_products').html(data);
					$('#fermerModal').trigger('click');
                })
                
            }
	    refresh_products();*/
        });
    });
	
	var prev_val;
$("#product_suppression_confirmation").click(function() {
    prev_val = $(this).val();
}).click(function(){
            $(this).unbind('focus');
            var conf = confirm('Etes-vous sûr de vouloir supprimer cette image produit ?');

            if(conf == true){
                var form = $('#product_modification_form').get(0);
        var formData = new FormData(form);
        var request = $.ajax({
            type: 'POST',
            url: 'inc/supprimerImageProduct.php',
            data: formData,
            dataType: 'text',
            processData: false,
            contentType: false
        });
        request.done(function( msg ) {
            if (msg === 'ok') {
                refresh_products("oui");
                $("#product_modification_form")[0].reset();
                $.post("inc/resultatsProducts.php")
                .done(function (data) {
                    $('#refreshed_products').html(data);
					$('#fermerModal').trigger('click');
                })
            }
            if (msg === 'ko') {
                alert('Veuillez renouveler la suppression!');
            }
			refresh_products();
        });
            }
            else{
                $(this).val(prev_val);
                $(this).bind('focus');
                return false;
            }
});
	
	function readURL(input) {
  if (input.files && input.files[0]) {
    var reader = new FileReader();
    
    reader.onload = function(e) {
      $('#image_full').attr('src', e.target.result);
    }
    
    reader.readAsDataURL(input.files[0]);
  }
}

});


