﻿var hauteur_div_resultats = 0;

function getUrlValue(varName) {
    var split = $(location).attr('href').split('?');
    var value = '';
    if (split.length == 2) {
        split = split[1].split('&');
        for (var i = 0; i < split.length; i += 1) {
            var keyValue = split[i].split('=');
            if (keyValue.length == 2 && keyValue[0] == varName) {
                value = keyValue[1];
                break;
            }
        }
    }
    return value;
}

function myPromise() {
    return new Promise((resolve, reject) => {
        setTimeout(() => {
            imprimer();
            //resolve('Stack Overflow');
            // reject('Some Error')
        }, 10000);
    });
}

function showSpinner() {
    $("#loader").show();
    $("#loader2").hide();

}

function hideSpinner() {
    $("#loader").hide();
    $("#loader2").show();

}

function refresh_products(force) {
    //hauteur_div_resultats = $(".content-wrapper").height() - 220;
    //$("#refreshed_products").height(hauteur_div_resultats);
    cpt = 0;

    //Loader
    $('#refreshed_products').html('<span class="please_wait">Veuillez patienter...</span>');

    $('input:checked[name=liste_products]').each(function () {
        cpt += 1;
    });
    if (cpt === 0 || force === "oui") {
        $.post("inc/resultatsCouleurs.php", {recherche: getUrlValue("recherche")})
                .done(function (data) {
                    $('#refreshed_products').html(data);
                    //Edition tableau
                    $('#userProducts thead tr').clone(true).appendTo('#userProducts thead');
                    cpt = 0;
                    $('#userProducts thead tr:eq(1) th').each(function (i) {
if (i > 1 && i < 7) {                        
                            var title = $(this).text();
                            $(this).html('<input type="text" placeholder="Rech..." />');

                            $('input', this).on('keyup change', function () {
                    
                             if (table.column(i).search() !== this.value) {
                                        table
                                                .column(i)
                                                .search(this.value)
                                                .draw();
                                    }
                                

                            });
            } else {
            	$(this).html('');
            }            
                        cpt++;
                    });

                    var table = $('#userProducts').DataTable({
                        "order": [0, 'desc'],
                        orderCellsTop: true,
                        fixedHeader: true,
                        paging: false
                    });

                })
                .fail(function () {
                });
    }
}

function toggle(source) {
    var checkboxes = document.querySelectorAll('input[name="liste_products"]');
    for (var i = 0; i < checkboxes.length; i++) {
        if (checkboxes[i] != source)
            checkboxes[i].checked = source.checked;
    }
}

$(document).ready(function () {

    refresh_products();

    $(".check_all_products").click(function () {
        $(".liste_products").prop("checked", $(this).prop("checked"));
    });

    $("#recherche").keyup(function (e) {
        if ($("#recherche").val != '') {
            mode_edition = "oui";
        } else {
            mode_edition = "non";
        }
        if (e.keyCode == 13) //On press enter only
        {
            refresh_products();
        }
    });

    $(".scroll_y").on("scroll", function () {
        $("div:not(this)").scrollLeft($(this).scrollLeft());
    });

});
