var pos_scroll_y = 0;
var hauteur_div_resultats = 0;

function fermer_detailsCommande() {
  document.getElementById("detailsCommande").innerHTML = "Details commande";
}

function getUrlValue(varName) {
    var split = $(location).attr('href').split('?');
    var value = '';
    if (split.length == 2) {
        split = split[1].split('&');
        for (var i = 0; i < split.length; i+=1) {
            var keyValue = split[i].split('=');
            if (keyValue.length == 2 && keyValue[0] == varName) {
                value = keyValue[1];
                break;
            }
        }
    }
    return value;
}

function refresh_results(force) {
    
    //Loader
    $('#refreshed_results').html('<span class="please_wait">Veuillez patienter...</span>');
    
    //hauteur_div_resultats = $(".content-wrapper").height() - 278;
    //$("#refreshed_results").height(hauteur_div_resultats);
    cpt = 0;
    $('input:checked[name=liste_bat]').each(function () {
        cpt += 1;
    });
    if (((mode_edition === "non") && (cpt === 0)) || (force === "oui")) {
        var cpt = 0;
        var liste_commerciaux = '';
        $("input:checkbox[name=liste_commerciaux]:checked").each(function () {
            if (cpt === 0) {
                liste_commerciaux = $(this).val();
            } else {
                liste_commerciaux = liste_commerciaux + ',' + $(this).val();
            }
            cpt = cpt + 1;
        });

        var urlParams = new URLSearchParams(window.location.search);
        //alert("retour: "+getUrlValue("recherche"));
        $.post("inc/resultatsCommandes.php", {page: getUrlValue("p"), num_par_page: getUrlValue("num_p"), recherche: getUrlValue("recherche"), liste_commerciaux: liste_commerciaux, recherche_annee: $("#recherche_annee").val(), encours_finalises: 'encours', statut: decodeURI(urlParams.get('statut'))})
                .done(function (data) {

                    //Mémorise la position du scroll dans les résultats
                    pos_scroll_y = $("#table_header_results").scrollLeft();
                    $('#refreshed_results').html(data);
                    $(".scroll_y").scrollLeft(pos_scroll_y);
					
					//Edition tableau
	$('#batresults thead tr').clone(true).appendTo( '#batresults thead' );
	cpt=0;
    $('#batresults thead tr:eq(1) th').each( function (i) {
		if (cpt<=1) {
			$(this).html( '' );
		}
		else if (cpt>1) {
        var title = $(this).text();
        $(this).html( '<input type="text" placeholder="Recherche" />' );
 
        $( 'input', this ).on( 'keyup change', function () {
            if ( table.column(i).search() !== this.value ) {
                table
                    .column(i)
                    .search( this.value )
                    .draw();
            }
        } );
		}
		cpt++;
    } );
 
    var table = $('#batresults').DataTable( {
	orderCellsTop: true,
        fixedHeader: true,
	order: [[0, 'desc']],
		paging:   false
    } );				
                })
                .fail(function () {
                });
    }
}

function toggle(source) {
		var checkboxes = document.querySelectorAll('input[name="liste_bat"]');
		for (var i = 0; i < checkboxes.length; i++) {
			if (checkboxes[i] != source)
				checkboxes[i].checked = source.checked;
		}
	}

$(document).ready(function () {
   
    refresh_results();

    $("#rechercheSurTout").click(function () {
    	if ($("input[name=recherche]").val() != "") {
        window.location.href='https://zelyx.com/commandes.php?recherche='+$("input[name=recherche]").val();
        }
    });
    
    $('#rechercheSurTout').keypress(function (e) {
  if (e.which == 13) {
    if ($("input[name=recherche]").val() != "") {
        window.location.href='https://zelyx.com/commandes.php?recherche='+$("input[name=recherche]").val();
        }
    return false;    //<---- Add this line
  }
});

    $("input:checkbox[name=liste_commerciaux]").click(function () {
        refresh_results();
    });
    $(document).on('change', '#recherche_annee', function () {
        refresh_results();
    });
    $("#recherche").keyup(function (e) {
        if ($("#recherche").val != '') {
            mode_edition = "oui";
        } else {
            mode_edition = "non";
        }
        if(e.keyCode == 13) //On press enter only
        {
            refresh_results();
        }
    });

    $("#confirmation_service_achat").click(function () {
        $('#confirmation-bat').modal('toggle');
        mode_edition = "non";
    });

    $('body').on('change', 'input[name="bat_donne_aux_achats"]', function () {
        mode_edition = "oui";
        $('#confirmation-bat').modal('toggle');
    });
    
    $('body').on('click', '.bat_edit', function () {
        mode_edition = "oui";
    });

    $(".check_all_bat").click(function () {
        $(".liste_bat").prop("checked", $(this).prop("checked"));
    });

    $(".scroll_y").on("scroll", function () {
        $("div:not(this)").scrollLeft($(this).scrollLeft());
    });

});

function imprimer_bon_de_commande(id) {
    var doc = new jsPDF();
    var pageHeight = doc.internal.pageSize.height;
    
    //doc.autoTable({html: '#userProducts', theme: 'plain'});
    var Table = document.getElementById('listeCommandePopup');
    var longueurLigneTable = Table.rows.length;

    var nbLignesProduitsCpt = 0;
    var nbLignesProduitsCptColonne2 = 0;
    var nbLignesProduitsTotal = 0;
    var nbLignesProduitsMax = 32;
    var nbLignesProduitsMaxColonne2 = 30;
    var pagesetplus = 0;
    
    var cumulQuantite = 0;
    
    var cumulTempQuantite = 0;
    var cumulTempSousTotal = 0;
    var cumulTotal = 0;
    
    var nouvellePage = 0;

    var id_commande_boutique = document.getElementById('id_commande_boutique').innerHTML;

    //Parcourir le tableau HTML de résultats
    i = 0;
    
    //////////////////////////////////////////////////////////////ENTETE DE LA PAGE
    doc.setFontSize(10); //Points
    
    //X= emplacement sur la colonne
    var x = 86;
    //Y= numéro de ligne
    var y = 20;
    //Permet d'aligner à droite le texte
    var alignX = 86;

    doc.text('LISTE DE COLISAGE', x, y);
    y = y + 10;
    var celluleTable = Table.rows.item(i).cells;
    var valeurCelulleTable = celluleTable.item(4).innerHTML;
    var numeroCommandeFichier = valeurCelulleTable;
if (id_commande_boutique != "") {
      doc.text('N° '+valeurCelulleTable, 92, y);
      y = y + 5;
      doc.text(id_commande_boutique, 92, y);
      y = y + 25;      
    } else {
      doc.text('N° '+valeurCelulleTable, 92, y);
      y = y + 30;
    }
    
    var remisePourcentage = celluleTable.item(5).innerHTML;
    
    var logo = document.createElement('canvas');
    var img = document.getElementById('code128img'+id);
    logo.height = img.naturalHeight;
    logo.width = img.naturalWidth;
    var ctx = logo.getContext('2d');
    ctx.drawImage(img, 0, 0, logo.width, logo.height);
    var base64String = logo.toDataURL();
    doc.addImage(base64String, 'PNG', 70, 36, 64, 20);

    var valeurCelulleTable = celluleTable.item(0).innerHTML;
    doc.text('CLIENT: '+valeurCelulleTable, 75, y);
    var transporteur = celluleTable.item(1).innerHTML;
    
    var date = new Date();
    var dd = date.getDate();
    var mm = date.getMonth() + 1;
    var yyyy = date.getFullYear();
    var hh = date.getHours();
    var mi = date.getMinutes();
    if (dd < 10)
    {
        dd = '0' + dd;
    }
    if (mm < 10)
    {
        mm = '0' + mm;
    }
    if (hh < 10)
    {
        hh = '0' + hh;
    }
    if (mi < 10)
    {
        mi = '0' + mi;
    }
    
    doc.setFontSize(8); //Points
    var x = 10;
    var alignX = 10;
    var y = 80;

    doc.text('REFERENCE', x, y);
    x = x + 32;
    doc.text('COULEUR', x, y);
    x = x + 20;
    doc.text('QTE', x, y);
    x = x + 12;
    doc.text('P.U. HT', x, y);
    x = x + 15;
    doc.text('MONTANT', x, y);
    x = x + 25;
    doc.text('REFERENCE', x, y);
    x = x + 32;
    doc.text('COULEUR', x, y);
    x = x + 20;
    doc.text('QTE', x, y);
    x = x + 12;
    doc.text('P.U. HT', x, y);
    x = x + 15;
    doc.text('MONTANT', x, y);
    
    doc.line(10, y+1, 101, y+1);
    doc.line(112, y+1, 203, y+1);
    
    nbLignesProduitsCpt +=1;
	nbLignesProduitsTotal +=1;
        
    x = 10;

    //////////////////////////////////////////////////////FIN ENTETE DE PAGE


    //Parcours de chaque ligne de produit
    for (i= 1; i < longueurLigneTable; i++) {
        //Incrementation produit à la fin
        nbLignesProduitsCpt +=1;
	nbLignesProduitsTotal +=1;
        //Si je dépasse le nombre de produits de la colonne 1, alors je commence sur la deuxième colonne
        if (nbLignesProduitsCpt === (nbLignesProduitsMax+nbLignesProduitsMaxColonne2 + 1)) {
            //Si je dépasse le nombre de produits de la deuxieme colonne, je repasse à la première colonne sur la nouvelle page
            //Et remise à zéro du compteur
            //Et changement du nombre de produits autorisé car je commence pls haut sur la page
            x = 10;
	    alignX = 10;
            y = 10;
            nbLignesProduitsMax = 44;
            nbLignesProduitsMaxColonne2 = 42;
            nbLignesProduitsCpt = 0;
            doc.addPage();
            pagesetplus = pagesetplus +1;
    
        }
        if (nbLignesProduitsCpt === (nbLignesProduitsMax + 1)) {
            x = 112;
	    alignX = 112;
            if (pagesetplus > 0) {
                y = 15;
            } else {
                y = 85;
            }
            doc.text('Report:', x, y);
            x = x + 42;
	    var posX = (x+(15-(cumulQuantite.toString().length*2)));
//alert('pos'+cumulQuantite.toString().length);
            doc.text(''+cumulQuantite, posX, y);

	    //doc.text(''+cumulQuantite, x+(25-(cumulQuantite.length*2)), y);

        }
        
        if (nbLignesProduitsCpt > nbLignesProduitsMax) {
            x = 112;
	    alignX = 112;
        }
        var celluleTable = Table.rows.item(i).cells;
        var longueurCelluleTable = celluleTable.length;
        //Récupérer valeurs et saisir dans PDF
        //Image
        var valeurCelulleTable = celluleTable.item(0).innerHTML;
        var logo = document.createElement('canvas');
        y = y + 5;
        //REFERENCE
        var valeurCelulleTable = celluleTable.item(0).innerText;
        doc.text(valeurCelulleTable, x, y);
        x = x + 32;
	alignX = x;
        //COULEUR
        var valeurCelulleTable = celluleTable.item(1).innerText;
	x = x + (10-(valeurCelulleTable.length*2));	
	doc.text(valeurCelulleTable, x, y);
        //x = x + 20;
	alignX += 10;
        //QUANTITE
        var valeurCelulleTable = celluleTable.item(2).innerText;
	x = alignX + (12-(valeurCelulleTable.length*1.5));
	doc.text(valeurCelulleTable, x, y);
        cumulQuantite = (cumulQuantite+parseInt(valeurCelulleTable));
        cumulTempQuantite = (cumulTempQuantite+parseInt(valeurCelulleTable));
	alignX += 12;
        //P.U.
        var valeurCelulleTable = parseFloat(celluleTable.item(3).innerText).toFixed(2);
	x = alignX + (15-(valeurCelulleTable.length*1.5));
        //doc.text(valeurCelulleTable, x, y);
	doc.text(""+valeurCelulleTable, x, y);
        //x = x + 15;
	alignX += 15;
        //MONTANT
        var valeurCelulleTable = parseFloat(celluleTable.item(4).innerText).toFixed(2);
	x = alignX + (20-(valeurCelulleTable.length*1.5));
        //doc.text(valeurCelulleTable, x, y);
	doc.text(""+valeurCelulleTable, x, y);
        cumulTempSousTotal = (cumulTempSousTotal+parseFloat(valeurCelulleTable));
        cumulTotal = (cumulTotal+parseFloat(valeurCelulleTable));
        
        x = 10;
        
        
        //Si arrivé au nombre de lignes désirée, j'affiche le sous-total
        if (nbLignesProduitsCpt == nbLignesProduitsMax) {
            y = y + 5;
            doc.text('Sous-total:', 10, y);
            doc.text(''+cumulTempQuantite, 51.5+(20-(cumulTempQuantite.toFixed(2).toString().length*1.5)), y);
            //doc.text(''+cumulTempSousTotal.toFixed(2), 87, y);
	    doc.text(''+cumulTempSousTotal.toFixed(2),82.5+(20-(cumulTempSousTotal.toFixed(2).toString().length*1.5)), y);
        }
    }

    //doc.setDrawColor(0, 0, 0);
    doc.line(85, 245, 200, 245);

    doc.text('TOTAL QTE:',90,250);
    doc.text(''+cumulQuantite,122,250);
    
    if (((cumulTotal*remisePourcentage)/100) == 0) {
      doc.setFontType("bold");
      doc.text('TOTAL HT A PAYER:',145,250);
      doc.text(''+cumulTotal.toFixed(2)+' €',177,250);
    }
    else {
      doc.text('TOTAL HT:',145,250);
      doc.text(''+cumulTotal.toFixed(2)+' €',177,250);
    
      doc.text('REMISE (-'+remisePourcentage+'%):',145,255);
      doc.text('-'+((cumulTotal*remisePourcentage)/100)+' €',177,255);
      doc.setFontType("bold");
      doc.text('TOTAL HT A PAYER:',145,260);
      doc.text(''+(cumulTotal.toFixed(2)-((cumulTotal.toFixed(2)*remisePourcentage)/100)).toFixed(2)+' €',177,260);
    }
    doc.setFontType("");
    doc.text('TRANSPORTEUR:',145,270);
    doc.text(''+transporteur,177,270);

    //Enregistrement
    doc.output('save', numeroCommandeFichier+'_liste_de_colisage.pdf');
}

async function imprimer_ticket_rassemble(id, numero_commande) {
    
const response = await fetch('https://zelyx.com/inc/listeProduitsTicketRassemblee.php?num_commande='+numero_commande);
data = await response.json();

var id_commande_boutique = document.getElementById('id_commande_boutique').innerHTML;

var doc = new jsPDF();
    var pageHeight = doc.internal.pageSize.height;
    
    //doc.autoTable({html: '#userProducts', theme: 'plain'});
    var Table = document.getElementById('listeCommandePopup');
    var longueurLigneTable = Table.rows.length;

    var nbLignesProduitsCpt = 0;
    var nbLignesProduitsCptColonne2 = 0;
    var nbLignesProduitsTotal = 0;
    var nbLignesProduitsMax = 32;
    var nbLignesProduitsMaxColonne2 = 30;
    var pagesetplus = 0;
    
    var cumulQuantite = 0;
    
    var cumulTempQuantite = 0;
    var cumulTempSousTotal = 0;
    var cumulTotal = 0;
    
    var nouvellePage = 0;

    //Parcourir le tableau HTML de résultats
    i = 0;
    
    //////////////////////////////////////////////////////////////ENTETE DE LA PAGE
    doc.setFontSize(10); //Points
    
    //X= emplacement sur la colonne
    var x = 86;
    //Y= numéro de ligne
    var y = 20;
    //Permet d'aligner à droite le texte
    var alignX = 86;

    doc.text('LISTE DE COLISAGE', x, y);
    y = y + 10;
    var celluleTable = Table.rows.item(i).cells;
    var valeurCelulleTable = celluleTable.item(4).innerHTML;
    var numeroCommandeFichier = valeurCelulleTable;
    if (id_commande_boutique != "") {
      doc.text('N° '+valeurCelulleTable, 92, y);
      y = y + 5;
      doc.text(id_commande_boutique, 92, y);
      y = y + 25;      
    } else {
      doc.text('N° '+valeurCelulleTable, 92, y);
      y = y + 30;
    }
    var remisePourcentage = celluleTable.item(5).innerHTML;
    
    var logo = document.createElement('canvas');
    var img = document.getElementById('code128img'+id);
    logo.height = img.naturalHeight;
    logo.width = img.naturalWidth;
    var ctx = logo.getContext('2d');
    ctx.drawImage(img, 0, 0, logo.width, logo.height);
    var base64String = logo.toDataURL();
    doc.addImage(base64String, 'PNG', 70, 36, 64, 20);
    
    var valeurCelulleTable = celluleTable.item(0).innerHTML;
    doc.text('CLIENT: '+valeurCelulleTable, 75, y);
    var transporteur = celluleTable.item(1).innerHTML;
    
    var date = new Date();
    var dd = date.getDate();
    var mm = date.getMonth() + 1;
    var yyyy = date.getFullYear();
    var hh = date.getHours();
    var mi = date.getMinutes();
    if (dd < 10)
    {
        dd = '0' + dd;
    }
    if (mm < 10)
    {
        mm = '0' + mm;
    }
    if (hh < 10)
    {
        hh = '0' + hh;
    }
    if (mi < 10)
    {
        mi = '0' + mi;
    }
    doc.setFontSize(8); //Points
    var x = 10;
    var alignX = 10;
    var y = 80;
    doc.text('ART.', x, y);
    x = x + 17;
    doc.text('DESIGNATION', x, y);
    x = x + 38;
    doc.text('QTE', x, y);
    x = x + 15;
    doc.text('P.U. HT', x, y);
    x = x + 15;
    doc.text('TOT.', x, y);
    x = x + 17;
    doc.text('ART.', x, y);
    x = x + 17;
    doc.text('DESIGNATION', x, y);
    x = x + 38;
    doc.text('QTE', x, y);
    x = x + 15;
    doc.text('P.U. HT', x, y);
    x = x + 15;
    doc.text('TOT.', x, y);
    doc.line(10, y+1, 101, y+1);
    doc.line(112, y+1, 203, y+1);
    nbLignesProduitsCpt +=1;
	nbLignesProduitsTotal +=1;
        //x = x + 10;
        //var celluleTable = Table.rows.item(i).cells;
        //var longueurCelluleTable = celluleTable.length;
        //Récupérer valeurs et saisir dans PDF
        //Image
        //var valeurCelulleTable = celluleTable.item(0).innerHTML;
        //var logo = document.createElement('canvas');
        //y = y + 5;
    //y = y + 10;
    x = 10;
    //////////////////////////////////////////////////////FIN ENTETE DE PAGE
    //Parcours de chaque ligne de produit
    //for (i= 1; i < longueurLigneTable; i++) {
    data.data.forEach(function(val) {
        //Incrementation produit à la fin
        nbLignesProduitsCpt +=1;
	nbLignesProduitsTotal +=1;
        //Si je dépasse le nombre de produits de la colonne 1, alors je commence sur la deuxième colonne
        if (nbLignesProduitsCpt === (nbLignesProduitsMax+nbLignesProduitsMaxColonne2 + 1)) {
            //Si je dépasse le nombre de produits de la deuxieme colonne, je repasse à la première colonne sur la nouvelle page
            //Et remise à zéro du compteur
            //Et changement du nombre de produits autorisé car je commence pls haut sur la page
            x = 10;
	    alignX = 10;
            y = 10;
            nbLignesProduitsMax = 44;
            nbLignesProduitsMaxColonne2 = 42;
            nbLignesProduitsCpt = 0;
            doc.addPage();
            pagesetplus = pagesetplus +1; 
        }
        if (nbLignesProduitsCpt === (nbLignesProduitsMax + 1)) {
            x = 112;
	    alignX = 112;
            if (pagesetplus > 0) {
                y = 15;
            } else {
                y = 85;
            }
            doc.text('Report:', x, y);
            x = x + 42;
	    var posX = (x+(15-(cumulQuantite.toString().length*2)));
//alert('pos'+cumulQuantite.toString().length);
            doc.text(''+cumulQuantite, posX, y);

	    //doc.text(''+cumulQuantite, x+(25-(cumulQuantite.length*2)), y);
        }
        
        if (nbLignesProduitsCpt > nbLignesProduitsMax) {
            x = 112;
	    alignX = 112;
        }
        var celluleTable = Table.rows.item(i).cells;
        var longueurCelluleTable = celluleTable.length;
        //Récupérer valeurs et saisir dans PDF
        //Image
        var valeurCelulleTable = celluleTable.item(0).innerHTML;
        var logo = document.createElement('canvas');
        y = y + 5;
        //CODE ART.
        var valeurCelulleTable = val.code_article;
        if (valeurCelulleTable == null) {
         var valeurCelulleTable = ''; 
	}
        doc.text(valeurCelulleTable, x, y);
        x = x + 17;
	alignX = x;
        //DES.
        if (val.informations != "A DEFINIR" && val.informations != null && val.informations != "N.C.") {
        var valeurCelulleTable = val.informations;
	} else if (val.coloris != null) {
	  var valeurCelulleTable = val.reference+' '+val.coloris;
	} else {
          var valeurCelulleTable = val.reference;
        }
	//x = x + (20-(valeurCelulleTable.length*2));
	//x = alignX + 20
	doc.text(valeurCelulleTable, x, y);
        //x = x + 20;
	//QTE
        var valeurCelulleTable = parseFloat(val.prix).toFixed(2);
        if (valeurCelulleTable == null) {  
	  var valeurCelulleTable = '0';
	}
	x = alignX + 53;
	doc.text(valeurCelulleTable, x, y);
        cumulQuantite = (cumulQuantite+parseInt(valeurCelulleTable));
        cumulTempQuantite = (cumulTempQuantite+parseInt(valeurCelulleTable));
        //x = x + 20;
	alignX += 26;
        //P.U. HT
        var valeurCelulleTable = val.quantite;
	x = alignX + (15-(valeurCelulleTable.length*1.5));
        //doc.text(valeurCelulleTable, x, y);
	doc.text(valeurCelulleTable, x, y);
        //x = x + 15;
	alignX += 29;
        //MONTANT
        var valeurCelulleTable = parseFloat((val.prix*val.quantite)).toFixed(2);
	x = alignX + (20-(valeurCelulleTable.length*1.5));
        //doc.text(valeurCelulleTable, x, y);
        if (valeurCelulleTable != "") {
	doc.text(""+valeurCelulleTable, x, y);
        cumulTempSousTotal = (cumulTempSousTotal+parseFloat(valeurCelulleTable));
        cumulTotal = (cumulTotal+parseFloat(valeurCelulleTable));
        } else {
        var valeurCelulleTable = "0.00";
	x = alignX + (20-(4*1.5));
        //doc.text(valeurCelulleTable, x, y);
	doc.text(valeurCelulleTable, x, y);
        cumulTempSousTotal = cumulTempSousTotal;
        cumulTotal = cumulTotal;
        }
        
        x = 10;
        
        //Si arrivé au nombre de lignes désirée, j'affiche le sous-total
        if (nbLignesProduitsCpt == nbLignesProduitsMax) {
            y = y + 5;
            doc.text('Sous-total:', 10, y);
            doc.text(''+cumulTempQuantite, 51.5+(20-(parseFloat(cumulTempQuantite).toFixed(2).toString().length*1.5)), y);
            //doc.text(''+cumulTempSousTotal.toFixed(2), 87, y);
	    doc.text(''+cumulTempSousTotal.toFixed(2),82.5+(20-(cumulTempSousTotal.toFixed(2).toString().length*1.5)), y);
        }
    });

    //doc.setDrawColor(0, 0, 0);
    doc.line(85, 245, 200, 245);

    doc.text('TOTAL QTE:',90,250);
    doc.text(''+cumulQuantite,122,250);
    
    if (((cumulTotal*remisePourcentage)/100) == 0) {
      doc.setFontType("bold");
      doc.text('TOTAL HT A PAYER:',145,250);
      doc.text(''+cumulTotal.toFixed(2)+' €',177,250);
    }
    else {
      doc.text('TOTAL HT:',145,250);
      doc.text(''+cumulTotal.toFixed(2)+' €',177,250);
    
      doc.text('REMISE (-'+remisePourcentage+'%):',145,255);
      doc.text('-'+((cumulTotal*remisePourcentage)/100)+' €',177,255);
      doc.setFontType("bold");
      doc.text('TOTAL HT A PAYER:',145,260);
      doc.text(''+(cumulTotal.toFixed(2)-((cumulTotal.toFixed(2)*remisePourcentage)/100)).toFixed(2)+' €',177,260);
    }
    doc.setFontType("");
    doc.text('TRANSPORTEUR:',145,270);
    doc.text(''+transporteur,177,270);

    //Enregistrement
    doc.output('save', numeroCommandeFichier+'_liste_de_colisage_rassemble.pdf');
}

function afficherTicketRassemble(numero_commande) {
			$("#detailsCommande").empty();
            var str = $(this)[0].innerText;            
            document.getElementById("detailsCommande").innerHTML = "Cmd n°: " + str;
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.onreadystatechange = function() {
                if (this.readyState == 4 && this.status == 200) {
                    document.getElementById("detailsCommande").innerHTML = this.responseText;
		    //Afficher le modal détails de la commande
		    //$("#afficherDetailsCommande").trigger("click");
                }
            }		
			xmlhttp.open("GET", "/inc/afficherTicketRassemblePopup.php?num_commande="+numero_commande, true);
//alert("/inc/afficherTicketRassemblePopup.php?num_commande="+numero_commande);
            xmlhttp.send();
		
    }
    
    function afficherTicketRassembleWebMileMila(numero_commande, nom_client, nom_transporteur, prix_transporteur_ht, id_commande_boutique) {
			$("#detailsCommande").empty();
            var str = $(this)[0].innerText;            
            document.getElementById("detailsCommande").innerHTML = "Cmd n°: " + str;
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.onreadystatechange = function() {
                if (this.readyState == 4 && this.status == 200) {
                    document.getElementById("detailsCommande").innerHTML = this.responseText;
		    //Afficher le modal détails de la commande
		    //$("#afficherDetailsCommande").trigger("click");
                }
            }		
			xmlhttp.open("GET", "/inc/afficherTicketRassembleWebMileMilaPopup.php?num_commande="+numero_commande+"&nom_client="+nom_client+"&nom_transporteur="+nom_transporteur+"&prix_transporteur_ht"+prix_transporteur_ht+"&id_commande_boutique="+id_commande_boutique, true);
//alert("/inc/afficherTicketRassemblePopup.php?num_commande="+numero_commande);
            xmlhttp.send();
		
    }

    function afficherTicketRassembleWebLolilota(numero_commande, nom_client, nom_transporteur, prix_transporteur_ht, id_commande_boutique) {
            $("#detailsCommande").empty();
            var str = $(this)[0].innerText;            
            document.getElementById("detailsCommande").innerHTML = "Cmd n°: " + str;
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.onreadystatechange = function() {
                if (this.readyState == 4 && this.status == 200) {
                    document.getElementById("detailsCommande").innerHTML = this.responseText;
            //Afficher le modal détails de la commande
            //$("#afficherDetailsCommande").trigger("click");
                }
            }       
            xmlhttp.open("GET", "/inc/afficherTicketRassembleWebLolilotaPopup.php?num_commande="+numero_commande+"&nom_client="+nom_client+"&nom_transporteur="+nom_transporteur+"&prix_transporteur_ht"+prix_transporteur_ht+"&id_commande_boutique="+id_commande_boutique, true);
//alert("/inc/afficherTicketRassemblePopup.php?num_commande="+numero_commande);
            xmlhttp.send();
        
    }

