﻿var hauteur_div_resultats = 0;

function getUrlValue(varName) {
    var split = $(location).attr('href').split('?');
    var value = '';
    if (split.length == 2) {
        split = split[1].split('&');
        for (var i = 0; i < split.length; i += 1) {
            var keyValue = split[i].split('=');
            if (keyValue.length == 2 && keyValue[0] == varName) {
                value = keyValue[1];
                break;
            }
        }
    }
    return value;
}

function imprimer() {
    var doc = new jsPDF();
    var pageHeight = doc.internal.pageSize.height;

    doc.setFontSize(10); //Points
    var logo = document.createElement('canvas');
    var img = document.getElementById('logo_Zelyx');
    logo.height = img.naturalHeight;
    logo.width = img.naturalWidth;
    var ctx = logo.getContext('2d');
    ctx.drawImage(img, 0, 0, logo.width, logo.height);
    var base64String = logo.toDataURL();
    doc.addImage(base64String, 'PNG', 70, 16, 64, 20);

    var date = new Date();
    var dd = date.getDate();
    var mm = date.getMonth() + 1;
    var yyyy = date.getFullYear();
    var hh = date.getHours();
    var mi = date.getMinutes();
    if (dd < 10)
    {
        dd = '0' + dd;
    }
    if (mm < 10)
    {
        mm = '0' + mm;
    }
    if (hh < 10)
    {
        hh = '0' + hh;
    }
    if (mi < 10)
    {
        mi = '0' + mi;
    }


    var ddmmyyyyhhmi = dd + '/' + mm + '/' + yyyy + ' ' + hh + ':' + mi + '';
    doc.text('Liste des produits du ' + ddmmyyyyhhmi, 20, 50);

    var x = 20;
    var y = 60;

    doc.text('Image', x, y);
    x = x + 25;
    doc.text('Code-128', x, y);
    x = x + 50;
    doc.text('Quantité/Pack', x, y);
    x = x + 30;
    doc.text('Prix', x, y);
    x = x + 20;
    doc.text('Stock', x, y);
    x = x + 20;
    doc.text('N° de rayon', x, y);
    y = y + 10;
    x = 20;

    //doc.autoTable({html: '#userProducts', theme: 'plain'});
    var Table = document.getElementById('userProducts');
    var longueurLigneTable = Table.rows.length;

    //Parcourir le tableau HTML de résultats
    for (i = 1; i < longueurLigneTable; i++) {
        var celluleTable = Table.rows.item(i).cells;
        var longueurCelluleTable = celluleTable.length;
        //Récupérer valeurs et saisir dans PDF
        //Image
        var valeurCelulleTable = celluleTable.item(0).innerHTML;
        var logo = document.createElement('canvas');
        var img = celluleTable.item(3).getElementsByTagName("img")[0];
        logo.height = img.naturalHeight;
        logo.width = img.naturalWidth;
        var ctx = logo.getContext('2d');
        ctx.drawImage(img, 0, 0, logo.width, logo.height);
        var base64String = logo.toDataURL();
        doc.addImage(base64String, 'PNG', x, y, 7.5, 10);
        y = y + 5;
        //doc.text(valeurCelulleTable, x, y);
        x = x + 25;
        //Code128
        var valeurCelulleTable = celluleTable.item(6).innerText;
        doc.text(valeurCelulleTable, x, y);
        x = x + 50;
        //Ventes du jour
        var valeurCelulleTable = celluleTable.item(7).innerText;
        doc.text(valeurCelulleTable, x, y);
        x = x + 30;
        //Quantité/Pack
        var valeurCelulleTable = celluleTable.item(8).innerText;
        doc.text(valeurCelulleTable, x, y);
        x = x + 20;
        //Prix
        var valeurCelulleTable = celluleTable.item(9).innerText;
        doc.text(valeurCelulleTable, x, y);
        x = x + 20;
        //Stock
        var valeurCelulleTable = celluleTable.item(10).innerText;
        doc.text(valeurCelulleTable, x, y);
        //Passage à la ligne
        y = y + 5;
        x = 20;

        //Passage à la page suivante
        if (y >= pageHeight - 20)
        {
            doc.addPage();
            y = 10;
        }
    }

    //Enregistrement
    doc.output('save', 'liste_produits.pdf');
}

function getRandomInt(max) {
    return Math.floor(Math.random() * Math.floor(max));
}

function imprimer_sticker_multi() {
    var Table = document.getElementById('userProducts');
    if (Table === null) {
        alert('Aucunes données, veuillez renouveler.');
        return 0;
    } else {
        var longueurLigneTable = Table.rows.length;

        //Parcourir le tableau HTML de résultats
        for (i = 1; i < longueurLigneTable; i++) {
            if (Table.rows.item(i).id != 0) {
                var celluleTable = Table.rows.item(i).cells;
                var longueurCelluleTable = celluleTable.length;
                var valeurCelulleTable = celluleTable.item(0).innerHTML;
                //alert('retour:'+Table.rows.item(i).id);

                //CODE TM
                alert('retour TM:' + celluleTable.item(10).innerHTML.substr(28, 6));



                //On affiche uniquement que les lignes sélectionnées
                //if (document.getElementById(valeurCelulleTable).checked) {
                //  alert('retour:'+valeurCelulleTable);
                //}
            }
        }
    }
}


function imprimer_sticker(id, code128, prix, categorie, informations, code_tm) {

    var doc = new jsPDF('l', 'mm', [300, 150]);
    var pageHeight = doc.internal.pageSize.height;

    doc.setFontSize(10); //Points

    doc.setFontSize(28);

    //Rectangle
    doc.rect(2, 2, 102, 49);

    //Désignation
    if (informations.length < 9) {
        doc.text(informations, 4, 16);
    } else {
        doc.text(informations.substr(0, 7), 4, 16);
    }

    doc.setFontSize(42);

    if (code_tm == '') {
        //Code prix générer codeEbp
        if (prix > 9.9) {
            var pad = "00";
            prix = "" + prix.replace('.', '')
            var codeprix = pad.substring(0, pad.length - prix.length) + prix + "00";
        } else {
            var pad = "0000"
            prix = "" + prix.replace('.', '')
            var codeprix = pad.substring(0, pad.length - prix.length) + prix;
        }
        doc.text('' + categorie + codeprix, 54, 18);
    } else {
        doc.text('' + code_tm, 54, 18);
    }
    doc.setFontSize(16);

    //Code 128
    doc.text(code128, 36, 28);

    var logo = document.createElement('canvas');

    var img = document.getElementById('code128img' + id);
    logo.height = img.naturalHeight;
    logo.width = img.naturalWidth;
    var ctx = logo.getContext('2d');
    ctx.drawImage(img, 0, 0, logo.width, logo.height);
    var base64String = logo.toDataURL();
    doc.addImage(base64String, 'PNG', 2.5, 30, 100, 20);

    //Enregistrement
    doc.output('save', 'sticker_' + code128.replace(' ', '_') + '.pdf');

}

function myPromise() {
    return new Promise((resolve, reject) => {
        setTimeout(() => {
            imprimer();
            //resolve('Stack Overflow');
            // reject('Some Error')
        }, 10000);
    });
}

function showSpinner() {
    $("#loader").show();
    $("#loader2").hide();

}

function hideSpinner() {
    $("#loader").hide();
    $("#loader2").show();

}

async function imprimer_liste_produits() {
    try {
        showSpinner()
        const externalFetchedText = await myPromise();
        console.log('Hello ' + externalFetchedText);
    } catch (err) {
        console.error(err);
    } finally {
        hideSpinner()
    }
}

function refresh_products(force) {
    //hauteur_div_resultats = $(".content-wrapper").height() - 220;
    //$("#refreshed_products").height(hauteur_div_resultats);
    cpt = 0;

    //Loader
    $('#refreshed_products').html('<span class="please_wait">Veuillez patienter...</span>');

    $('input:checked[name=liste_products]').each(function () {
        cpt += 1;
    });
    if (cpt === 0 || force === "oui") {
        $.post("inc/resultatsProducts.php", {page: getUrlValue("p"), num_par_page: getUrlValue("num_p"), recherche: getUrlValue("recherche"), code_128: getUrlValue("code_128"), choix_boutique: getUrlValue("choix_boutique"), a_definir: getUrlValue("a_definir")})
                .done(function (data) {
                    $('#refreshed_products').html(data);
                    //Edition tableau
                    $('#userProducts thead tr').clone(true).appendTo('#userProducts thead');
                    cpt = 0;
                    $('#userProducts thead tr:eq(1) th').each(function (i) {
                        if (cpt <= 2 || cpt > 13 || cpt === 4 || cpt === 11 || cpt === 12) {
                            $(this).html('');
                        } else if (cpt > 2) {
                            var title = $(this).text();
                            $(this).html('<input type="text" placeholder="Rech..." />');

                            $('input', this).on('keyup change', function () {
                                if (i === 4) {
                                    if (table.column(i).search() !== this.value) {
                                        table
                                                .column(i)
                                                .search("<span class=\"tabledit-span\">" + this.value + ".*<\/span>", true, false)
                                                .draw();
                                    }

                                } else {
                                    if (table.column(i).search() !== this.value) {
                                        table
                                                .column(i)
                                                .search(this.value)
                                                .draw();
                                    }
                                }

                            });
                        }
                        cpt++;
                    });

                    var table = $('#userProducts').DataTable({
                        "order": [0, 'desc'],
                        orderCellsTop: true,
                        fixedHeader: true,
                        paging: false
                    });

                })
                .fail(function () {
                });
    }
}

function toggle(source) {
    var checkboxes = document.querySelectorAll('input[name="liste_products"]');
    for (var i = 0; i < checkboxes.length; i++) {
        if (checkboxes[i] != source)
            checkboxes[i].checked = source.checked;
    }
}

$(document).ready(function () {

    refresh_products();
    
        $("#rechercheSurTout").click(function () {
    	if ($("input[name=recherche]").val() != "") {
        window.location.href='http://itbusinessclub.net/admin_erik/produits.php?recherche='+$("input[name=recherche]").val();
        }
    });
    
    $('#rechercheSurTout').keypress(function (e) {
  if (e.which == 13) {
    if ($("input[name=recherche]").val() != "") {
        window.location.href='http://itbusinessclub.net/admin_erik/produits.php?recherche='+$("input[name=recherche]").val();
        }
    return false;    //<---- Add this line
  }
});

    $(".check_all_products").click(function () {
        $(".liste_products").prop("checked", $(this).prop("checked"));
    });

    $("#recherche").keyup(function (e) {
        if ($("#recherche").val != '') {
            mode_edition = "oui";
        } else {
            mode_edition = "non";
        }
        if (e.keyCode == 13) //On press enter only
        {
            refresh_products();
        }
    });

    $(".scroll_y").on("scroll", function () {
        $("div:not(this)").scrollLeft($(this).scrollLeft());
    });

});
