var hauteur_div_resultats = 0;

function getUrlValue(varName) {
    var split = $(location).attr('href').split('?');
    var value = '';
    if (split.length == 2) {
        split = split[1].split('&');
        for (var i = 0; i < split.length; i+=1) {
            var keyValue = split[i].split('=');
            if (keyValue.length == 2 && keyValue[0] == varName) {
                value = keyValue[1];
                break;
            }
        }
    }
    return value;
}

function imprimer_meilleures_ventes(jour) {
	var Table = document.getElementById('userProducts');
	if (Table === null) {
		alert('Aucunes données, veuillez renouveler.');
		return 0;
	} else {
	var patienter = document.getElementById('patienter');
	patienter.display = "block";
    var doc = new jsPDF("l");
    var pageHeight = doc.internal.pageSize.height;
    
    doc.setFontSize(12); //Points

    var logo = document.createElement('canvas');
    var img = document.getElementById('logo_Zelyx');
    logo.height = img.naturalHeight;
    logo.width = img.naturalWidth;
    var ctx = logo.getContext('2d');
    ctx.drawImage(img, 0, 0, logo.width, logo.height);
    var base64String = logo.toDataURL();
    doc.addImage(base64String, 'PNG', 130, 16, 64, 20);
    //var dateJ = new Date();
    //dateJ.setDate(dateJ.getDate() - getUrlValue("date"));
    
    //if (getUrlValue("date") != '') {
     //var date = dateJ;   
    //} else {
        var date = new Date();
    //}
    var dd = date.getDate();
    var mm = date.getMonth() + 1;
    var yyyy = date.getFullYear();
	
	doc.text('RECAPITULATIF DES VENTES', 20, 20);
	
	doc.text('Date: '+dd+'/'+mm+'/'+yyyy, 250, 20);
	
	
    if (dd < 10)
    {
        dd = '0' + dd;
    }
    if (mm < 10)
    {
        mm = '0' + mm;
    }
    var ddmmyyyy = dd + '/' + mm + '/' + yyyy;
	if (jour > 0) {
        doc.text('Meilleures ventes journalières', 20, 40);
	} else if (jour == 'mois') {
	doc.text('Meilleures ventes du mois', 20, 40);
	} else if (jour == 'semaine') {
	doc.text('Meilleures ventes de la semaine', 20, 40);
	} else if (jour == 'trimestre') {
	doc.text('Meilleures ventes trimestrielles', 20, 40);
	} else {
	doc.text('Meilleures ventes journalières', 20, 40);
	}

    var x = 20;
    var y = 60;

    doc.text('Image', x, y);
    x = x + 25;
    doc.text('Désignation', x, y);
    x = x + 50;
    doc.text('Référence', x, y);
    x = x + 30;
    doc.text('Couleur', x, y);
    x = x + 20;
    doc.text('Quantité vendu', x, y);
    x = x + 30;
    doc.text('Stock', x, y);
    x = x + 20;
    doc.text('Prix', x, y);
    x = x + 20;
    doc.text('Prix promo', x, y);
    x = x + 30;
    doc.text('Date d\'ajout', x, y);
    y = y + 10;
    x = 20;

    //doc.autoTable({html: '#userProducts', theme: 'plain'});
    
    var longueurLigneTable = Table.rows.length;

    //Parcourir le tableau HTML de résultats
    for (i = 1; i < longueurLigneTable; i++) {
        var celluleTable = Table.rows.item(i).cells;
        var longueurCelluleTable = celluleTable.length;
        //Récupérer valeurs et saisir dans PDF
        //Image
        var valeurCelulleTable = celluleTable.item(0).innerHTML;
        var logo = document.createElement('canvas');
        var img = document.getElementById('img' + valeurCelulleTable);
        logo.height = img.naturalHeight;
        logo.width = img.naturalWidth;
        var ctx = logo.getContext('2d');
        ctx.drawImage(img, 0, 0, logo.width, logo.height);
        var base64String = logo.toDataURL();
        doc.addImage(base64String, 'PNG', x, y, 7.5, 10);

        y = y + 5;
        //doc.text(valeurCelulleTable, x, y);
        x = x + 25;
		//Désignation
        var valeurCelulleTable = celluleTable.item(14).innerHTML;
        if (valeurCelulleTable.length > 16) {
          doc.text(valeurCelulleTable.substr(0,15), x, y);
        } else {
          doc.text(valeurCelulleTable, x, y);
        }
        x = x + 50;
        //Référence
        var valeurCelulleTable = celluleTable.item(4).innerHTML;
        if (valeurCelulleTable.length > 10) {
          doc.text(valeurCelulleTable.substr(0,9), x, y);
        } else {
          doc.text(valeurCelulleTable, x, y);
        }
        x = x + 30;
        //Couleur
        var valeurCelulleTable = celluleTable.item(5).innerHTML;
        doc.text(valeurCelulleTable, x, y);
        x = x + 20;
        //Quantité vendu
        var valeurCelulleTable = celluleTable.item(8).innerHTML;
        doc.text(valeurCelulleTable, x, y);
		x = x + 30;
        //Stock
        var valeurCelulleTable = celluleTable.item(10).innerHTML;
        doc.text(valeurCelulleTable, x, y);
        x = x + 20;
		//Prix
        var valeurCelulleTable = celluleTable.item(11).innerHTML;
        doc.text(valeurCelulleTable, x, y);
        x = x + 20;
		//Prix promo
		var valeurCelulleTable = celluleTable.item(12).innerHTML;
        doc.text(valeurCelulleTable, x, y);
		x = x + 30;
        //Date d'ajout
        var valeurCelulleTable = celluleTable.item(15).innerHTML;
	valeurCelulleTable = valeurCelulleTable.replace('<img src="images/seuil_alerte.png" class="seuil_alerte_img">','');
        doc.text(valeurCelulleTable, x, y);
        //Passage à la ligne
        y = y + 5;
        x = 20;
        
        //Passage à la page suivante
        if (y >= pageHeight - 20)
        {
            doc.addPage();
            y = 10;
        }
    }
	
    //Enregistrement
    doc.output('save', yyyy + mm + dd + '_ventes.pdf');
	}
	patienter.display = "none";
}

function refresh_products(force) {
    
    //Loader
    $('#refreshed_products').html('<span class="please_wait">Veuillez patienter...</span>');
    
    //hauteur_div_resultats = $(".content-wrapper").height() - 220;
    //$("#refreshed_products").height(hauteur_div_resultats);
    cpt = 0;

    $('input:checked[name=liste_products]').each(function () {
        cpt += 1;
    });
    if (cpt === 0 || force === "oui") {
        $.post("inc/resultatsProductsJour.php", {date: getUrlValue("date")})
                .done(function (data) {
                    $('#refreshed_products').html(data);
                })
                .fail(function () {
                });
    }
}

$(document).ready(function () {

    refresh_products();

    $(".check_all_products").click(function () {
        $(".liste_products").prop("checked", $(this).prop("checked"));
    });

    $(".scroll_y").on("scroll", function () {
        $("div:not(this)").scrollLeft($(this).scrollLeft());
    });
});
