package fr.itsee.zelyx;

import android.content.Context;
import android.content.Intent;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {

    //lien vers inc
    public static String backOfficeURL = "https://zelyx.com/inc/";

    //a la racine
    public static String backOfficeURLIMG = "https://zelyx.com/";


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

    }

    protected boolean isOnline() {
        ConnectivityManager cm = (ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE);
        NetworkInfo netInfo = cm.getActiveNetworkInfo();
        return netInfo != null && netInfo.isConnectedOrConnecting();
    }

    public void commandeButton(View v) {
        if (isOnline()) {
            Intent intent = new Intent(MainActivity.this, CommandesActivity.class);
            startActivityForResult(intent, 0);
        } else {
            Toast.makeText(getApplicationContext(), "Aucune connexion internet", Toast.LENGTH_SHORT).show();
        }
    }

    public void controleButton(View v) {
        if (isOnline()) {
            Intent intent = new Intent(MainActivity.this, ControleActivity.class);
            startActivityForResult(intent, 0);
        } else {
            Toast.makeText(getApplicationContext(), "Aucune connexion internet", Toast.LENGTH_SHORT).show();
        }
    }

    public void ajouterProduitButton(View v) {
        if (isOnline()) {
            Intent intent = new Intent(MainActivity.this, AjouterProduitActivity.class);
            startActivityForResult(intent, 0);
        } else {
            Toast.makeText(getApplicationContext(), "Aucune connexion internet", Toast.LENGTH_SHORT).show();
        }
    }

    @Override
    protected void onPause() {
        super.onPause();
    }

    @Override
    protected void onRestart() {
        super.onRestart();
    }

    @Override
    protected void onResume() {
        super.onResume();
    }
}
